package com.ruoyi.swlscx.basic.domain.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 测站一览表
 * @Author al
 * @Date 2024/7/30 13:52
 * @Description: TODO
 * @Version
 */

@Data
public class HyStscAVo implements Serializable {

    /** 站码 */
    private String stcd;

    /**站名**/
    private String stnm;


    /**流域名称**/
    private String bshncd;

    /**水系名称**/
    private String hnnm;


    /**河流名称**/
    private String rvnm;

    /**施测项目码**/
    private String obitmcd;

    /**行政区划码**/
    private String addvcd;

    /**水资源分区码 **/
    private String wrrgcd;

    /**设站年份**/
    private String esstyr;


    /**设站月份**/
    private String esstmth;

    /**撤站年份**/
    private String wdstyr;

    /**撤站月份**/
    private String wdstmth;

    /**集水面积**/
    private String drar;


    /**流入何处**/
    private String flto;


    /**至河口距离**/
    private String dstrvm;


    /**基准基面名称**/
    private String fdtmnm;


    /**领导机关**/
    private String admag;


    /**管理单位**/
    private String admnst;


    /**站址**/
    private String stlc;


    /**东经**/
    private BigDecimal lgtd;


    /**北纬**/
    private BigDecimal lttd;

    /**测站等级**/
    private String stgrd;

    /**报汛等级**/
    private String frgrd;

    /**备注**/
    private String nt;

    private static final long serialVersionUID = 1L;

}
