package com.ruoyi.swlscx.basic.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.swlscx.basic.domain.po.HyStscA;
import com.ruoyi.swlscx.basic.domain.vo.HyStscAVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
* @author 12974
* @description 针对表【hy_stsc_a】的数据库操作Mapper
* @createDate 2024-07-30 13:37:07
* @Entity com.ruoyi.swlscx.domain.po.po.HyStscA
*/

@Mapper
public interface HyStscAMapper extends BaseMapper<HyStscA> {

    /**
     * 查询站点信息
     */
    IPage<HyStscAVo> selectHyStscAPageByInfo(Page<HyStscAVo> page, @Param("map") Map<String, Object> map);



    void deleteTempData();

    void mergeToData();

    void insertTempData(@Param("list") List<HyStscA> records);
}




