package com.ruoyi.swlscx.day.domain.bo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 日平均含沙量表
 * @TableName hy_dcs_f
 */
@Data
public class HyDcsFBo implements Serializable {
    /**
     * 站码
     */
    @ExcelProperty(value = "站码",index = 1)
    private String stcd;

    /**
     * 日期
     */
    @ExcelProperty(value = "日期",index = 3)
    private String dt;

    /**
     * 平均含沙量(千克每立方米)
     */
    @ExcelProperty(value = "平均含沙量",index = 4)
    private String avcs;

    /**
     * 平均含沙量注解码
     */
    @ExcelProperty(value = "平均含沙量注解码",index = 5)
    private String avcsrcd;

    private static final long serialVersionUID = 1L;
}