package com.ruoyi.swlscx.day.domain.bo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 日平均输沙率表
 * @TableName hy_dqs_c
 */
@Data
public class HyDqsCBo implements Serializable {
    /**
     * 站码
     */
    @ExcelProperty(value = "站码",index = 1)
    private String stcd;

    /**
     * 泥沙类型
     */@ExcelProperty(value = "泥沙类型",index = 3)
    private String sdtp;

    /**
     * 日期
     */@ExcelProperty(value = "日期",index = 4)
    private String dt;

    /**
     * 平均输沙率(千克每秒)
     */@ExcelProperty(value = "平均输沙率",index = 5)
    private String avqs;

    /**
     * 平均输沙率注解码
     */@ExcelProperty(value = "平均输沙率注解码",index = 6)
    private String avqsrcd;

    private static final long serialVersionUID = 1L;
}