package com.ruoyi.swlscx.day.domain.bo;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 日水面蒸发量表
 *
 * @TableName hy_dwe_c
 */
@Data
public class HyDweCBo implements Serializable {
    /**
     * 站码
     */
    @ExcelProperty(value = "站码", index = 1)
    private String stcd;

    /**
     * 日期
     */
    @ExcelProperty(value = "日期", index = 3)
    private String dt;

    /**
     * 蒸发器型式
     */
    @ExcelProperty(value = "蒸发器型式", index = 4)
    private String eetp;

    /**
     * 水面蒸发量(毫米)
     */
    @ExcelProperty(value = "水面蒸发量", index = 5)
    private String wsfe;

    /**
     * 水面蒸发量注解码
     */
    @ExcelProperty(value = "水面蒸发量注解码", index = 6)
    private String wsfercd;

    private static final long serialVersionUID = 1L;
}