package com.ruoyi.swlscx.day.domain.bo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;

import java.io.Serializable;

/**
 * 日水温表
 *
 * @TableName hy_dwt_c
 */
@Data
public class HyDwtCBo implements Serializable {
    /**
     * 站码
     */
    @ExcelProperty(value = "站码", index = 1)
    private String stcd;

    /**
     * 日期
     */
    @ExcelProperty(value = "日期", index = 3)
    private String dt;

    /**
     * 水温
     */
    @ExcelProperty(value = "水温", index = 4)
    private String wtmp;

    /**
     * 水温注解码
     */
    @ExcelProperty(value = "水温注解码", index = 5)
    private String wtmprcd;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}