package com.ruoyi.swlscx.day.domain.bo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 日平均水位表
 * @TableName hy_dz_c
 */
@Data
public class HyDzCBo implements Serializable {
    /**
     * 站码
     */
    @ExcelProperty(value = "站码",index = 1)
    private String stcd;

    /**
     * 日期
     */
    @ExcelProperty(value = "日期",index = 3)
    private String dt;

    /**
     * 平均水位(米)
     */
    @ExcelProperty(value = "平均水位",index = 4)
    private String avz;

    /**
     * 平均水位注解码
     */
    @ExcelProperty(value = "平均水位注解码",index = 5)
    private String avzrcd;

    private static final long serialVersionUID = 1L;
}