package com.ruoyi.swlscx.day.domain.po;

import com.alibaba.excel.annotation.ExcelProperty;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import lombok.Data;

/**
 * 日降水表
 * @TableName hy_dp_c
 */
@TableName(value ="hy_dp_c")
@Data
public class HyDpC implements Serializable {
    /**
     * 站码
     */
    private String stcd;

    /**
     * 日期
     */
    private Date dt;

    /**
     * 降水量(毫米)
     */
    private BigDecimal p;

    /**
     * 降水量注解码
     */
    private String prcd;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}