package com.ruoyi.swlscx.day.domain.po;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import lombok.Data;

/**
 * 日水面蒸发量表
 * @TableName hy_dwe_c
 */
@TableName(value ="hy_dwe_c")
@Data
public class HyDweC implements Serializable {
    /**
     * 站码
     */
    private String stcd;

    /**
     * 日期
     */
    private Date dt;

    /**
     * 蒸发器型式
     */
    private String eetp;

    /**
     * 水面蒸发量(毫米)
     */
    private BigDecimal wsfe;

    /**
     * 水面蒸发量注解码
     */
    private String wsfercd;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}