package com.ruoyi.swlscx.day.domain.po;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import lombok.Data;

/**
 * 日水温表
 * @TableName hy_dwt_c
 */
@TableName(value ="hy_dwt_c")
@Data
public class HyDwtC implements Serializable {
    /**
     * 站码
     */
    private String stcd;

    /**
     * 日期
     */
    private Date dt;

    /**
     * 水温
     */
    private BigDecimal wtmp;

    /**
     * 水温注解码
     */
    private String wtmprcd;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}