package com.ruoyi.swlscx.day.domain.po;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import lombok.Data;

/**
 * 日平均水位表
 * @TableName hy_dz_c
 */
@TableName(value ="hy_dz_c")
@Data
public class HyDzC implements Serializable {
    /**
     * 站码
     */
    private String stcd;

    /**
     * 日期
     */
    private Date dt;

    /**
     * 平均水位(米)
     */
    private BigDecimal avz;

    /**
     * 平均水位注解码
     */
    private String avzrcd;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}