package com.ruoyi.swlscx.day.domain.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 日平均含沙量表
 * @TableName hy_dcs_f
 */
@Data
public class HyDcsFVo implements Serializable {
    /**
     * 站码
     */
    private String stcd;

    /**
     * 站名
     */
    private String stnm;

    /**
     * 日期
     */
    private Date dt;

    /**
     * 平均含沙量(千克每立方米)
     */
    private BigDecimal avcs;

    /**
     * 平均含沙量注解码
     */
    private String avcsrcd;

    private static final long serialVersionUID = 1L;
}