package com.ruoyi.swlscx.day.domain.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 日降水表
 * @TableName hy_dp_c
 */
@Data
public class HyDpCVo implements Serializable {
    /**
     * 站码
     */
    private String stcd;


    /**
     * 站名
     */
    private String stnm;

    /**
     * 日期
     */
    private Date dt;

    /**
     * 降水量(毫米)
     */
    private BigDecimal p;

    /**
     * 降水量注解码
     */
    private String prcd;

    private static final long serialVersionUID = 1L;
}