package com.ruoyi.swlscx.day.domain.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 日水面蒸发量表
 * @TableName hy_dwe_c
 */
@Data
public class HyDweCVo implements Serializable {
    /**
     * 站码
     */
    private String stcd;


    /**
     * 站名
     */
    private String stnm;

    /**
     * 日期
     */
    private Date dt;

    /**
     * 蒸发器型式
     */
    private String eetp;

    /**
     * 水面蒸发量(毫米)
     */
    private BigDecimal wsfe;

    /**
     * 水面蒸发量注解码
     */
    private String wsfercd;

    private static final long serialVersionUID = 1L;
}