package com.ruoyi.swlscx.day.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.swlscx.day.domain.po.HyDpC;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.swlscx.day.domain.vo.HyDpCVo;
import com.ruoyi.swlscx.month.domain.vo.HyMptEVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
* @author 12974
* @description 针对表【hy_dp_c(日降水表)】的数据库操作Mapper
* @createDate 2024-10-15 17:40:46
* @Entity com.ruoyi.swlscx.day.domain.po.HyDpC
*/
@Mapper
public interface HyDpCMapper extends BaseMapper<HyDpC> {

    void deleteAll();

    void batchInsert(@Param("list") List<HyDpC> batchList);

    void batchInsertOrUpdate();

    IPage<HyDpCVo> selectHyDpCDataByPageAndInfo(Page<HyDpCVo> page,@Param("map") Map<String, Object> map);

    void mergeToData();
}




