package com.ruoyi.swlscx.day.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.ruoyi.common.core.page.R;
import com.ruoyi.swlscx.common.PageParams;
import com.ruoyi.swlscx.day.domain.po.HyDcsF;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.swlscx.day.domain.vo.HyDcsFVo;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;

/**
* @author 12974
* @description 针对表【hy_dcs_f(日平均含沙量表)】的数据库操作Service
* @createDate 2024-10-16 16:12:22
*/
public interface HyDcsFService extends IService<HyDcsF> {

    /**
     * 导入日平均含沙量表数据
     */
    void importHyDcsFData(MultipartFile file);

    /**
     * 查询日平均含沙量表表数据
     */
    IPage<HyDcsFVo> selectHyDcsFPageByInfo(PageParams pageParams, String startTime, String endTime, String stnm, String stcd);

    /**
     * 导出日平均含沙量表表数据
     */
    R exportDaySedimentConcentration(HttpServletResponse response, String startTime, String endTime, String stcd, String stnm);

    R importDateTosoft(String startTime, String endTime);
}
