package com.ruoyi.swlscx.excerpt.domain.bo;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 洪水水文要素摘录表
 *
 * @TableName hy_fdheex_b
 */
@Data
public class HyFdheexBBo implements Serializable {
    /**
     * 站码
     */
    @ExcelProperty(value = "站码", index = 1)
    private String stcd;

    /**
     * 时间
     */
    @ExcelProperty(value = "时间", index = 3)
    private String tm;

    /**
     * 水位
     */
    @ExcelProperty(value = "水位", index = 4)
    private String z;

    /**
     * 水位注解码
     */
    @ExcelProperty(value = "水位注解码", index = 5)
    private String zrcd;

    /**
     * 流量
     */
    @ExcelProperty(value = "流量", index = 6)
    private String q;

    /**
     * 含沙量
     */
    @ExcelProperty(value = "含沙量", index = 7)
    private String s;

    private static final long serialVersionUID = 1L;
}