package com.ruoyi.swlscx.excerpt.domain.bo;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 降水量摘录表
 *
 * @TableName hy_prex_b
 */
@Data
public class HyPrexBBo implements Serializable {
    /**
     * 站码
     */
    @ExcelProperty(value = "站码", index = 1)
    private String stcd;

    /**
     * 起时间
     */
    @ExcelProperty(value = "起时间", index = 3)
    private String bgtm;

    /**
     * 止时间
     */
    @ExcelProperty(value = "止时间", index = 4)
    private String endtm;

    /**
     * 降水量(毫米)
     */
    @ExcelProperty(value = "降水量", index = 5)
    private String p;

    /**
     * 降水量注解码
     */
    @ExcelProperty(value = "降水量注解码", index = 6)
    private String prcd;

    private static final long serialVersionUID = 1L;
}