package com.ruoyi.swlscx.excerpt.domain.bo;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 水库洪水水文要素摘录表
 *
 * @TableName hy_rvfhex_b
 */
@Data
public class HyRvfhexBBo implements Serializable {
    /**
     * 站码
     */
    @ExcelProperty(value = "站码", index = 1)
    private String stcd;

    /**
     * 时间
     */
    @ExcelProperty(value = "时间", index = 3)
    private String tm;

    /**
     * 坝上水位
     */
    @ExcelProperty(value = "坝上水位", index = 4)
    private String dambhdz;

    /**
     * 坝上水位注解码
     */
    @ExcelProperty(value = "坝上水位注解码", index = 5)
    private String dambhdzrcd;

    /**
     * 流量
     */
    @ExcelProperty(value = "流量", index = 6)
    private String q;

    /**
     * 含沙量
     */
    @ExcelProperty(value = "含沙量", index = 7)
    private String s;

    /**
     * 蓄水量
     */
    @ExcelProperty(value = "蓄水量", index = 8)
    private String w;

    /**
     * 备注
     */
    @ExcelProperty(value = "备注", index = 9)
    private String nt;

    private static final long serialVersionUID = 1L;
}