package com.ruoyi.swlscx.excerpt.domain.bo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 水闸洪水水文要素摘录表
 *
 * @TableName hy_wsfhex_b
 */
@Data
public class HyWsfhexBBo implements Serializable {
    /**
     * 站码
     */
    @ExcelProperty(value = "站码", index = 1)
    private String stcd;

    /**
     * 时间
     */
    @ExcelProperty(value = "时间", index = 3)
    private String tm;

    /**
     * 闸上水位
     */
    @ExcelProperty(value = "闸上水位", index = 4)
    private String upz;

    /**
     * 闸上水位注解码
     */
    @ExcelProperty(value = "闸上水位注解码", index = 5)
    private String upzrcd;

    /**
     * 闸下水位
     */
    @ExcelProperty(value = "闸下水位", index = 6)
    private String dwz;

    /**
     * 闸下水位注解码
     */
    @ExcelProperty(value = "闸下水位注解码", index = 7)
    private String dwzrcd;

    /**
     * 流量
     */
    @ExcelProperty(value = "流量", index = 8)
    private String q;

    /**
     * 含沙量
     */
    @ExcelProperty(value = "含沙量", index = 9)
    private String s;

    private static final long serialVersionUID = 1L;
}