package com.ruoyi.swlscx.excerpt.domain.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 逐潮高低潮位表
 * @TableName hy_hltdz_b
 */
@Data
public class HyHltdzBVo implements Serializable {
    /**
     * 站码
     */
    private String stcd;


    /**
     * 站名
     */
    private String stnm;

    /**
     * 时间
     */
    private Date tm;

    /**
     * 潮别
     */
    private String tdtp;

    /**
     * 潮位
     */
    private BigDecimal tdz;

    /**
     * 潮位注解码
     */
    private String tdzrcd;

    /**
     * 潮差
     */
    private BigDecimal tdrng;

    /**
     * 历时
     */
    private String dr;

    /**
     * 备注
     */
    private String nt;

    private static final long serialVersionUID = 1L;
}