package com.ruoyi.swlscx.excerpt.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.swlscx.day.domain.vo.HyDcsFVo;
import com.ruoyi.swlscx.excerpt.domain.po.HyFdheexB;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.swlscx.excerpt.domain.po.HyPrexB;
import com.ruoyi.swlscx.excerpt.domain.vo.HyFdheexBVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
* @author 12974
* @description 针对表【hy_fdheex_b(洪水水文要素摘录表)】的数据库操作Mapper
* @createDate 2024-10-17 13:15:04
* @Entity com.ruoyi.swlscx.excerpt.domain.po.HyFdheexB
*/
@Mapper
public interface HyFdheexBMapper extends BaseMapper<HyFdheexB> {

    void deleteAll();


    void batchInsert(@Param("list") List<HyFdheexB> collect);

    void batchInsertOrUpdate();

    IPage<HyFdheexBVo> selectHyFdheexBPageByInfo(Page<HyFdheexBVo> page,@Param("map") Map<String, Object> map);

    void mergeToData();
}




