package com.ruoyi.swlscx.excerpt.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.swlscx.excerpt.domain.po.HyHltdzB;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.swlscx.excerpt.domain.vo.HyHltdzBVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
* @author 12974
* @description 针对表【hy_hltdz_b(逐潮高低潮位表)】的数据库操作Mapper
* @createDate 2024-10-17 14:28:45
* @Entity com.ruoyi.swlscx.excerpt.domain.po.HyHltdzB
*/
public interface HyHltdzBMapper extends BaseMapper<HyHltdzB> {

    void deleteAll();

    void batchInsert(@Param("list") List<HyHltdzB> batchList);

    void batchInsertOrUpdate();

    IPage<HyHltdzBVo> selectHyHltdzBPageByInfo(Page<HyHltdzBVo> page, @Param("map") Map<String, Object> map);

    void mergeToData();
}




