package com.ruoyi.swlscx.excerpt.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.swlscx.day.domain.po.HyDweC;
import com.ruoyi.swlscx.excerpt.domain.po.HyPrexB;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.swlscx.excerpt.domain.vo.HyPrexBVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
* @author 12974
* @description 针对表【hy_prex_b(降水量摘录表)】的数据库操作Mapper
* @createDate 2024-10-17 09:17:42
* @Entity com.ruoyi.swlscx.excerpt.domain.po.HyPrexB
*/
@Mapper
public interface HyPrexBMapper extends BaseMapper<HyPrexB> {

    void deleteAll();

    void batchInsert(@Param("list") List<HyPrexB> collect);

    void batchInsertOrUpdate();

    /**
     * 查询降雨量摘录表
     */
    IPage<HyPrexBVo> selectHyDcsFPageByInfo(Page<HyPrexBVo> page,@Param("map") Map<String, Object> map);

    void mergeToData();
}




