package com.ruoyi.swlscx.excerpt.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.swlscx.excerpt.domain.po.HyRvfhexB;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.swlscx.excerpt.domain.vo.HyRvfhexBVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
* @author 12974
* @description 针对表【hy_rvfhex_b(水库洪水水文要素摘录表)】的数据库操作Mapper
* @createDate 2024-10-17 13:54:18
* @Entity com.ruoyi.swlscx.excerpt.domain.po.HyRvfhexB
*/
public interface HyRvfhexBMapper extends BaseMapper<HyRvfhexB> {

    void deleteAll();

    void batchInsert(@Param("list") List<HyRvfhexB> batchList);

    void batchInsertOrUpdate();

    IPage<HyRvfhexBVo> selectHyRvfhexBPageByInfo(Page<HyRvfhexBVo> page,@Param("map") Map<String, Object> map);

    void mergeToData();
}




