package com.ruoyi.swlscx.excerpt.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.swlscx.excerpt.domain.po.HyWsfhexB;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.swlscx.excerpt.domain.vo.HyWsfhexBVo;
import org.apache.ibatis.annotations.Param;
import org.springframework.security.core.parameters.P;

import java.util.List;
import java.util.Map;

/**
* @author 12974
* @description 针对表【hy_wsfhex_b(水闸洪水水文要素摘录表)】的数据库操作Mapper
* @createDate 2024-10-17 14:14:32
* @Entity com.ruoyi.swlscx.excerpt.domain.po.HyWsfhexB
*/
public interface HyWsfhexBMapper extends BaseMapper<HyWsfhexB> {

    /**
     * 查询水闸洪水水文要素摘录表
     */
    IPage<HyWsfhexBVo> selectHyWsfhexBPageByInfo(Page<HyWsfhexBVo> page,@Param("map") Map<String, Object> map);

    void deleteTempData();

    void insertTempData(@Param("list") List<HyWsfhexB> batch);

    void mergeToData();
}




