package com.ruoyi.swlscx.excerpt.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.ruoyi.common.core.page.R;
import com.ruoyi.swlscx.common.PageParams;
import com.ruoyi.swlscx.excerpt.domain.po.HyHltdzB;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.swlscx.excerpt.domain.vo.HyHltdzBVo;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;

/**
* @author 12974
* @description 针对表【hy_hltdz_b(逐潮高低潮位表)】的数据库操作Service
* @createDate 2024-10-17 14:28:45
*/
public interface HyHltdzBService extends IService<HyHltdzB> {



    /**
     * 导入逐潮高低潮位表数据
     */
    void importHyHltdzBData(MultipartFile file);

    /**
     * 查询逐潮高低潮位表
     */
    IPage<HyHltdzBVo> selectHyHltdzBPageByInfo(PageParams pageParams, String startTime, String endTime, String stnm, String stcd);

    /**
     * 导出逐潮高低潮位表
     */
    R exportFollowingTheTideExcerpt(HttpServletResponse response, String startTime, String endTime, String stnm, String stcd);

    R importDateTosoft(String startTime, String endTime);
}
