package com.ruoyi.swlscx.month.domain.bo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 月平均泥沙颗粒级配表
 * @TableName hy_mtpddb_e
 */
@Data
public class HyMtpddbEBo implements Serializable {
    /**
     * 站码
     */
    private String stcd;

    /**
     * 泥沙类型
     */
    private String sdtp;

    /**
     * 年
     */
    private String yr;

    /**
     * 月
     */
    private String mth;

    /**
     * 上限粒径(毫米)
     */
    private String ltpd;

    /**
     * 平均沙重百分数
     */
    private String avswpct;

    private static final long serialVersionUID = 1L;
}