package com.ruoyi.swlscx.month.domain.po;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import lombok.Data;

/**
 * 月冰流量表
 * @TableName hy_mtiq_e
 */
@TableName(value ="hy_mtiq_e")
@Data
public class HyMtiqE implements Serializable {
    /**
     * 站码
     */
    private String stcd;

    /**
     * 年
     */
    private Integer yr;

    /**
     * 月
     */
    private Integer mth;

    /**
     * 总冰流量(万立方米)
     */
    private BigDecimal tiq;

    /**
     * 总冰流量注解码
     */
    private String tiqrcd;

    /**
     * 最大冰流量(万立方米)
     */
    private BigDecimal mxiq;

    /**
     * 最大冰流量注解码
     */
    private String mxiqrcd;

    /**
     * 最大冰流量日期
     */
    private Date mxiqdt;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}