package com.ruoyi.swlscx.month.domain.vo;

import lombok.Data;

import java.math.BigDecimal;

/**
 * 月水面蒸发量表
 * @Author al
 * @Date 2024/8/27 10:13
 * @Description: TODO
 * @Version
 */

@Data
public class HyMtweEVo {

    /**
     * 站码
     */
    private String stcd;

    /**
     * 蒸发器型式
     */
    private String eetp;

    /**
     * 年
     */
    private Integer yr;

    /**
     * 月
     */
    private Integer mth;

    /**
     * 水面蒸发量(毫米)
     */
    private BigDecimal wsfe;

    /**
     * 水面蒸发量注解码
     */
    private String wsfercd;

    /**
     * 最大日水面蒸发量
     */
    private BigDecimal mxdye;

    /**
     * 最大日水面蒸发量注解码
     */
    private String mxdyercd;

    /**
     * 最小日水面蒸发量
     */
    private BigDecimal mndye;

    /**
     * 最小日水面蒸发量注解码
     */
    private String mndyercd;

    /**
     * 行政区划码
     */
    private String addvcd;

    /**
     * 流域水系码
     */
    private String lysxm;


    /**站名**/
    private String stnm;
}
