package com.ruoyi.swlscx.month.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.swlscx.month.domain.po.HyMtqE;
import com.ruoyi.swlscx.month.domain.vo.HyMtqEVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
* @author 12974
* @description 针对表【hy_mtq_e(月流量表)】的数据库操作Mapper
* @createDate 2024-08-04 12:45:25
* @Entity com.ruoyi.swlscx.domain.po.HyMtqE
*/
@Mapper
public interface HyMtqEMapper extends BaseMapper<HyMtqE> {


    IPage<HyMtqEVo> selectHyMtqEPageByInfo(Page<HyMtqEVo> page,@Param("map") Map<String, Object> map);

    void deleteTempData();

    void insertTempData(@Param("list") List<HyMtqE> batch);

    void mergeToData();
}




