package com.ruoyi.swlscx.month.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.swlscx.month.domain.po.HyMtweE;
import com.ruoyi.swlscx.month.domain.vo.HyMtweEVo;
import com.ruoyi.swlscx.year.domain.po.HyHmxpF;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
* @author 12974
* @description 针对表【hy_mtwe_e(月水面蒸发量表)】的数据库操作Mapper
* @createDate 2024-08-01 09:38:45
* @Entity com.ruoyi.swlscx.domain.po.HyMtweE
*/
@Mapper
public interface HyMtweEMapper extends BaseMapper<HyMtweE> {


    /**查询月水面蒸发量表数据**/
    IPage<HyMtweEVo> selectHyMtweEListPageByInfo(Page<HyMtweEVo> page, @Param("map") Map<String, Object> map);

    void deleteTempData();

    void insertTempData(@Param("list") List<HyMtweE> batch);

    void mergeToData();
}




