package com.ruoyi.swlscx.month.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.swlscx.month.domain.po.HyMtwtE;
import com.ruoyi.swlscx.month.domain.vo.HyMtwtEVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
* @author 12974
* @description 针对表【hy_mtwt_e(月水温表字段定义)】的数据库操作Mapper
* @createDate 2024-08-06 13:42:04
* @Entity com.ruoyi.swlscx.domain.po.HyMtwtE
*/
@Mapper
public interface HyMtwtEMapper extends BaseMapper<HyMtwtE> {

    /**
     * 查询月水温表数据
     */
    IPage<HyMtwtEVo> selectHyMtzEListPageByInfo(Page<HyMtwtEVo> page, @Param("map") Map<String, Object> map);

    void deleteTempData();

    void insertTempData(List<HyMtwtE> batch);

    void mergeToData();
}




