package com.ruoyi.swlscx.month.mapper;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.swlscx.month.domain.po.HyMtzE;
import com.ruoyi.swlscx.month.domain.vo.HyMtzEVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
* @author 12974
* @description 针对表【hy_mtz_e】的数据库操作Mapper
* @createDate 2024-07-23 14:15:25
* @Entity com/ruoyi/swlscx/domain/po.po.HyMtzE
*/
@Mapper
public interface HyMtzEMapper extends BaseMapper<HyMtzE> {

    void batchInsert(@Param("list") List<HyMtzE> batchList);

    /**
     * 查询月水位表
     */
    IPage<HyMtzEVo> selectHyMtzEPageByInfo(Page<HyMtzEVo> page, @Param("map") Map<String, Object> map);

    void deleteTempData();

    void insertTempData(List<HyMtzE> batch);

    void mergeToData();
}




