package com.ruoyi.swlscx.month.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.common.core.page.R;
import com.ruoyi.swlscx.common.PageParams;
import com.ruoyi.swlscx.month.domain.po.HyMtcsE;
import com.ruoyi.swlscx.month.domain.vo.HyMtcsEVo;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;

/**
* @author 12974
* @description 针对表【hy_mtcs_e(月含沙量表)】的数据库操作Service
* @createDate 2024-08-05 14:26:28
*/
public interface HyMtcsEService extends IService<HyMtcsE> {

    /**
     * 导入月含沙量表数据
     */
    void importHyMtcsEData(MultipartFile file);

    /**
     * 查询月含沙量表数据
     */
    IPage<HyMtcsEVo> selectHyMtcsEByPageAndInfo(PageParams pageParams, String stcdIds, String startTime, String endTime, String stcd, String stnm);

    /**
     * 导出月含沙量表
     */
    R exportMonthSedimentContentList(HttpServletResponse response, String startTime, String endTime, String stcd, String stnm);

    R importDateTosoft(String startTime, String endTime);
}
