package com.ruoyi.swlscx.month.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.common.core.page.R;
import com.ruoyi.swlscx.common.PageParams;
import com.ruoyi.swlscx.month.domain.po.HyMtqE;
import com.ruoyi.swlscx.month.domain.vo.HyMtqEVo;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;

/**
* @author 12974
* @description 针对表【hy_mtq_e(月流量表)】的数据库操作Service
* @createDate 2024-08-04 12:45:25
*/
public interface HyMtqEService extends IService<HyMtqE> {


    /** 导入月流量表数据*/
    void importHyMtqEData(MultipartFile file);

    /**查询月流量表数据*/
    IPage<HyMtqEVo> selectHyMtqEListPageByInfo(PageParams pageParams, String stcdIds, String startTime, String endTime, String stcd, String stnm);

    /**导出月流量表数据*/
    R exportMonthFlowList(HttpServletResponse response, String startTime, String endTime, String stcd, String stnm);

    R importDateTosoft(String startTime, String endTime);
}
