package com.ruoyi.swlscx.month.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.common.core.page.R;
import com.ruoyi.swlscx.common.PageParams;
import com.ruoyi.swlscx.month.domain.po.HyMttdzE;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;

/**
* @author 12974
* @description 针对表【hy_mttdz_e】的数据库操作Service
* @createDate 2024-08-04 12:45:25
*/
public interface HyMttdzEService extends IService<HyMttdzE> {



    /**
     * 导入月潮位数据
     */
    void importHyMttdzEData(MultipartFile file);

    /**查询月潮位表数据*/
    R selectHyMttdzEListPageByInfo(PageParams pageParams, String stcdIds, String startTime, String endTime,String stcd,String stnm);

    /**
     * 导出月潮位表数据
     */
    R exportMonthTideLeverList(HttpServletResponse response, String startTime, String endTime, String stcd, String stnm);
}
