package com.ruoyi.swlscx.year.domain.bo;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 年降水量表
 * @TableName hy_yrp_f
 */
@Data
public class HyYrpFBo implements Serializable {
    /**
     * 站码
     */
    @ExcelProperty(value = "站码",index = 1)
    private String stcd;

    /**
     * 年
     */
    @ExcelProperty(value = "年",index = 5)
    private String yr;

    /**
     * 降水量(毫米)
     */
    @ExcelProperty(value = "降水量",index = 6)
    private String p;

    /**
     * 降水量注解码
     */
    @ExcelProperty(value = "降水量注解码",index = 7)
    private String prcd;

    /**
     * 降水日数
     */
    @ExcelProperty(value = "降水日数",index = 8)
    private String pdynum;

    /**
     * 降水日数注解码
     */
    @ExcelProperty(value = "降水日数注解码",index = 9)
    private String pdynumrcd;

    /**
     * 终霜日期
     */
    @ExcelProperty(value = "终霜日期",index = 10)
    private String frdsdt;

    /**
     * 初霜日期
     */
    @ExcelProperty(value = "初霜日期",index = 11)
    private String frapdt;

    /**
     * 终雪日期
     */
    @ExcelProperty(value = "终雪日期",index = 12)
    private String sndsdt;

    /**
     * 初雪日期
     */
    @ExcelProperty(value = "初雪日期",index = 13)
    private String snapdt;

    private static final long serialVersionUID = 1L;
}