package com.ruoyi.swlscx.year.domain.po;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import lombok.Data;

/**
 * 分钟时段最大降水量表
 * @TableName hy_mmxp_f
 */
@TableName(value ="hy_mmxp_f")
@Data
public class HyMmxpF implements Serializable {
    /**
     * 站码
     */
    private String stcd;

    /**
     * 最大降水量时段长
     */
    private Integer mxpdr;

    /**
     * 年
     */
    private Integer yr;

    /**
     * 起时间
     */
    private Date bgdt;

    /**
     * 最大降水量
     */
    private BigDecimal mxp;

    /**
     * 最大降水量注解码
     */
    private String mxprc;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}