package com.ruoyi.swlscx.year.domain.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 日时段最大降水量
 * @TableName hy_dmxp_f
 */
@Data
public class HyDmxpFVo implements Serializable {
    /**
     * 站码
     */
    private String stcd;

    /**
     * 最大降水量时段长
     */
    private Integer mxpdr;

    /**
     * 年
     */
    private Integer yr;

    /**
     * 起始日期
     */
    private String bgdt;

    /**
     * 最大降水量
     */
    private BigDecimal mxp;

    /**
     * 最大降水量注解码
     */
    private String mxprc;
    /**
     * 行政区划码
     */
    private String addvcd;

    /**
     * 流域水系码
     */
    private String lysxm;


    /**站名**/
    private String stnm;


    private static final long serialVersionUID = 1L;
}