package com.ruoyi.swlscx.year.domain.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 年含沙量表
 * @TableName hy_yrcs_f
 */
@Data
public class HyYrcsFVo implements Serializable {
    /**
     * 站码
     */
    private String stcd;

    /**
     * 年
     */
    private Integer yr;

    /**
     * 平均含沙量(千克每立方米)
     */
    private BigDecimal avcs;

    /**
     * 平均含沙量注解码
     */
    private String avcsrcd;

    /**
     * 最大含沙量(千克每立方米)
     */
    private BigDecimal mxs;

    /**
     * 最大含沙量注解码
     */
    private String mxsrcd;

    /**
     * 最大含沙量日期
     */
    private String mxsdt;

    /**
     * 最小含沙量(千克每立方米)
     */
    private BigDecimal mns;

    /**
     * 最小含沙量注解码
     */
    private String mnsrcd;

    /**
     * 最小含沙量日期
     */
    private String mnsdt;

    /**
     * 行政区划码
     */
    private String addvcd;

    /**
     * 流域水系码
     */
    private String lysxm;


    /**站名**/
    private String stnm;

    private static final long serialVersionUID = 1L;
}