package com.ruoyi.swlscx.year.domain.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 年降水量表
 * @TableName hy_yrp_f
 */
@Data
public class HyYrpFVo implements Serializable {
    /**
     * 站码
     */
    private String stcd;

    /**
     * 年
     */
    private Integer yr;

    /**
     * 降水量(毫米)
     */
    private BigDecimal p;

    /**
     * 降水量注解码
     */
    private String prcd;

    /**
     * 降水日数
     */
    private String pdynum;

    /**
     * 降水日数注解码
     */
    private String pdynumrcd;

    /**
     * 终霜日期
     */
    private Date frdsdt;

    /**
     * 初霜日期
     */
    private Date frapdt;

    /**
     * 终雪日期
     */
    private Date sndsdt;

    /**
     * 初雪日期
     */
    private Date snapdt;

    /**站名**/
    private String stnm;

    /**
     * 行政区划码
     */
    private String addvcd;

    private static final long serialVersionUID = 1L;
}