package com.ruoyi.swlscx.year.domain.vo;

import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @Author al
 * @Date 2024/9/9 17:02
 * @Description: TODO
 * @Version 年流量表
 */
@Data
public class HyYrqFVo {

    /**
     * 站码
     */
    private String stcd;

    /**
     * 年
     */
    private Integer yr;

    /**
     * 平均流量
     */
    private BigDecimal avq;

    /**
     * 平均流量注解码
     */
    private String avqrcd;

    /**
     * 最高流量
     */
    private BigDecimal mxq;

    /**
     * 最高流量注解码
     */
    private String mxqrcd;

    /**
     * 最高流量日期
     */
    private String mxqdt;

    /**
     * 最小流量
     */
    private BigDecimal mnq;

    /**
     * 最小流量注解码
     */
    private String mnqrcd;

    /**
     * 最小流量日期
     */
    private String mnqdt;

    /**
     * 径流量(万立方米)
     */
    private BigDecimal rw;

    /**
     * 径流量注解码
     */
    private String rwrcd;

    /**
     * 径流模数(立方分米每秒平方千米)
     */
    private BigDecimal rm;

    /**
     * 径流深(毫米)
     */
    private BigDecimal rd;

    /**
     * 站名
     */
    private String stnm;


    private String addvcd;


    /**
     * 流域水系码
     */
    private String lysxm;

}
