package com.ruoyi.swlscx.year.domain.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 年水温表
 * @TableName hy_yrwt_f
 */
@Data
public class HyYrwtFVo implements Serializable {
    /**
     * 站码
     */
    private String stcd;

    /**
     * 年
     */
    private Integer yr;

    /**
     * 平均水温(摄氏度)
     */
    private BigDecimal avwtmp;

    /**
     * 平均水温注解码
     */
    private String avwtmprcd;

    /**
     * 最高水温(摄氏度)
     */
    private BigDecimal mxwtmp;

    /**
     * 最高水温注解码
     */
    private String mxwtmprcd;

    /**
     * 最高水温日期
     */
    private String mxwtmpdt;

    /**
     * 最低水温(摄氏度)
     */
    private BigDecimal mnwtmp;

    /**
     * 最低水温注解码
     */
    private String mnwtmprcd;

    /**
     * 最低水温日期
     */
    private Date mnwtmpdt;

    private String stnm;

    private String lysxm;

    private String addvcd;

    private static final long serialVersionUID = 1L;
}