package com.ruoyi.swlscx.year.mapper;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.swlscx.year.domain.po.HyHmxpF;
import com.ruoyi.swlscx.year.domain.vo.HyHmxpFVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
* @author 12974
* @description 针对表【hy_hmxp_f】的数据库操作Mapper
* @createDate 2024-07-23 14:15:25
* @Entity com/ruoyi/swlscx/domain/po.po.HyHmxpF
*/
@Mapper
public interface HyHmxpFMapper extends BaseMapper<HyHmxpF> {


    void batchInsert(@Param("list") List<HyHmxpF> list);


    /**
     * 查询时段最大降雨量表数据
     */
    IPage<HyHmxpFVo> selecthyMmxpFPageByInfo(Page<HyHmxpFVo> page, @Param("map") Map<String, Object> map);

    void deleteTempData();

    void insertTempData(List<HyHmxpF> batch);

    void mergeToData();
}




