package com.ruoyi.swlscx.year.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.swlscx.year.domain.po.HyMmxpF;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.swlscx.year.domain.vo.HyMmxpFVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
* @author 12974
* @description 针对表【hy_mmxp_f(分钟时段最大降水量表)】的数据库操作Mapper
* @createDate 2024-09-11 10:09:13
* @Entity com.ruoyi.swlscx.domain.year.po.HyMmxpF
*/
public interface HyMmxpFMapper extends BaseMapper<HyMmxpF> {

    void batchInsert(@Param("list") List<HyMmxpF> batchList);

    /**
     * 查询分钟时段最大降水量表数据
     */
    IPage<HyMmxpFVo> selectHyMmxpFPageByInfo(Page<HyMmxpFVo> page,@Param("map") Map<String, Object> map);

    void insertTempData(@Param("list")List<HyMmxpF> batch);

    void deleteTempData();

    void mergeToData();
}




