package com.ruoyi.swlscx.year.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.swlscx.year.domain.po.HyYrcsF;
import com.ruoyi.swlscx.year.domain.vo.HyYrcsFVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
* @author 12974
* @description 针对表【hy_yrcs_f(年含沙量表)】的数据库操作Mapper
* @createDate 2024-09-05 16:53:36
* @Entity com.ruoyi.swlscx.domain.po.HyYrcsF
*/
@Mapper
public interface HyYrcsFMapper extends BaseMapper<HyYrcsF> {

    /**
     * 查询年含沙量表数据
     */
    IPage<HyYrcsFVo> selecthyYrcsFPageByInfo(Page<HyYrcsFVo> page,@Param("map") Map<String, Object> map);

    void deleteTempData();

    void insertTempData(@Param("list") List<HyYrcsF> batch);

    void mergeToData();
}




