package com.ruoyi.swlscx.year.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.swlscx.year.domain.po.HyYrqF;
import com.ruoyi.swlscx.year.domain.vo.HyYrqFVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
* @author 12974
* @description 针对表【hy_yrq_f(年流量表)】的数据库操作Mapper
* @createDate 2024-09-05 16:53:36
* @Entity com.ruoyi.swlscx.domain.po.HyYrqF
*/
@Mapper
public interface HyYrqFMapper extends BaseMapper<HyYrqF> {

    IPage<HyYrqFVo> selectHyMtqEPageByInfo(Page<HyYrqFVo> page,@Param("map") Map<String, Object> map);

    void deleteTempData();

    void insertTempData(@Param("list") List<HyYrqF> batch);

    void mergeToData();
}




