package com.ruoyi.swlscx.year.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.swlscx.year.domain.po.HyYrqsF;
import com.ruoyi.swlscx.year.domain.vo.HyYrqsFVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
* @author 12974
* @description 针对表【hy_yrqs_f(年输沙率表)】的数据库操作Mapper
* @createDate 2024-09-05 16:53:36
* @Entity com.ruoyi.swlscx.domain.po.HyYrqsF
*/
@Mapper
public interface HyYrqsFMapper extends BaseMapper<HyYrqsF> {

    /**
     * 查询年输沙率表数据
     */
    IPage<HyYrqsFVo> selectHyYrqFPageByInfo(Page<HyYrqsFVo> page, @Param("map") Map<String, Object> map);

    void deleteTempData();

    void insertTempData(@Param("list") List<HyYrqsF> batch);

    void mergeToData();
}




