package com.ruoyi.swlscx.year.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.ruoyi.common.core.page.R;
import com.ruoyi.swlscx.common.PageParams;
import com.ruoyi.swlscx.year.domain.po.HyImxfwF;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.swlscx.year.domain.vo.HyImxfwFVo;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;

/**
* @author 12974
* @description 针对表【hy_imxfw_f(时段最大洪量表)】的数据库操作Service
* @createDate 2024-09-09 17:32:19
*/
public interface HyImxfwFService extends IService<HyImxfwF> {


    /**
     * 导入时段最大洪量表
     */
    void  importHyImxfwFData(MultipartFile file);


    /**
     * 查询时段最大洪量表数据
     */
    IPage<HyImxfwFVo> selectMaxFloodScaleListPageByInfo(PageParams pageParams, String startTime, String endTime, String stcd, String stnm);

    /**
     * 导出时段最大洪量表
     */
    R exportMaxFloodScaleList(HttpServletResponse response, String startTime, String endTime, String stcd, String stnm);

    R importDateTosoft(String startTime, String endTime);
}
