package com.ruoyi.swlscx.day.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.ruoyi.common.core.page.R;
import com.ruoyi.swlscx.basic.domain.vo.HyStscAVo;
import com.ruoyi.swlscx.basic.service.HyStscAService;
import com.ruoyi.swlscx.basic.service.YcExportTaskService;
import com.ruoyi.swlscx.common.PageParams;
import com.ruoyi.swlscx.day.service.HyDcsFService;
import com.ruoyi.swlscx.day.service.HyDwtCService;
import com.ruoyi.swlscx.excerpt.service.HyHltdzBService;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.mock.web.MockMultipartFile;
import org.springframework.web.multipart.MultipartFile;

import java.io.File;
import java.io.FileInputStream;
import java.util.Arrays;
import java.util.List;


/**
 * @Author al
 * @Date 2024/10/16 9:48
 * @Description: TODO
 * @Version
 */
@SpringBootTest(classes = com.ruoyi.RuoYiApplication.class)
class HyDpCServiceImplTest {


    @Autowired
    private HyDcsFService hyDcsFService;
    @Autowired
    private YcExportTaskService ycExportTaskService;

    @Autowired
    private HyStscAService hyStscAService;

    @Test
    public void importData() throws Exception {

//        List<String> stringList = Arrays.asList("逐潮高低潮位表200501-200801"
//                , "逐潮高低潮位表200801-201001",
//                "逐潮高低潮位表201001-201301"
//                , "逐潮高低潮位表201301-201501",
//                "逐潮高低潮位表201501-201701",
//                "逐潮高低潮位表201701-202001"
//        ,"逐潮高低潮位表202001-");
                List<String> stringList = Arrays.asList("日平均含沙量表195001-199001","日平均含沙量表199001-");
        long newTime = System.currentTimeMillis();
        System.out.println("当前时间：" + newTime);
        for (String s : stringList) {
            File file = new File("C:\\Users\\12974\\Desktop\\历史查询子系统\\历史数据\\日表类\\日平均含沙量表-已完成\\" + s + ".xls");

            // 创建 FileInputStream 对象
            FileInputStream fileInputStream = new FileInputStream(file);

            // 创建 MockMultipartFile 对象
            MultipartFile multipartFile = new MockMultipartFile(
                    "file",
                    file.getName(),
                    "application/vnd.ms-excel",
                    fileInputStream
            );
            hyDcsFService.importHyDcsFData(multipartFile);
        }
        System.out.println("总耗时：" + (System.currentTimeMillis() - newTime));
    }

    @Test
    public void test()  {
        System.out.println(hyStscAService.testSqlServer());
    }
}