package com.ruoyi.common.utils.sm3;

import org.bouncycastle.util.encoders.Hex;

import java.io.IOException;

public class SM3Utils {

    public static void main(String[] args) throws IOException {
        String plainText = "test" + "qawsedrftg" + "1656492199425";
        System.out.println(encode(plainText));
    }

    public static String encode(String plainText) {
        byte[] md = new byte[32];
        byte[] msg1 = plainText.getBytes();
        SM3Digest sm3 = new SM3Digest();
        sm3.update(msg1, 0, msg1.length);
        sm3.doFinal(md, 0);
        String s = new String(Hex.encode(md));
        return s;
    }
}
