package com.ruoyi.swlscx.basic.controller;

import com.ruoyi.common.core.page.R;
import com.ruoyi.swlscx.basic.service.HyStscAService;
import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletResponse;

/**
 * @Author al
 * @Date 2024/9/27 15:16
 * @Description: TODO
 * @Version
 */
@RestController
@RequestMapping("/report")
@RequiredArgsConstructor
public class BaseExportController {

    private final HyStscAService hyStscAService;


    /**
     * 导出测站一览表
     */
    @RequestMapping("/station")
    public R exportStation(HttpServletResponse response,
                           @RequestParam String startTime,
                           @RequestParam String endTime,
                           @RequestParam String stcd,
                           @RequestParam String stnm) {
      return   hyStscAService.exportStation(response,startTime,endTime,stcd,stnm);
    }
}
