package com.ruoyi.swlscx.basic.domain.bo;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 测站一览表
 * @Author al
 * @Date 2024/7/30 13:52
 * @Description: TODO
 * @Version
 */

@Data
public class HyStscABo implements Serializable {

    @ExcelProperty(value = "站码",index = 1)
    private String stcd;

    @ExcelProperty(value = "站名",index = 2)
    private String stnm;


    private String stct;

    @ExcelProperty(value = "流域名称",index = 3)
    private String bshncd;

    @ExcelProperty(value = "水系名称",index = 4)
    private String hnnm;


    @ExcelProperty(value = "河流名称",index = 5)
    private String rvnm;

    @ExcelProperty(value = "施测项目码",index = 6)
    private String obitmcd;

    @ExcelProperty(value = "行政区划码",index = 7)
    private String addvcd;

    @ExcelProperty(value = "水资源分区码",index = 8)
    private String wrrgcd;

    @ExcelProperty(value = "设站年份",index = 9)
    private String esstyr;


    @ExcelProperty(value = "设站月份",index = 10)
    private String esstmth;

    @ExcelProperty(value = "撤站年份",index = 11)
    private String wdstyr;

    @ExcelProperty(value = "撤站月份",index = 12)
    private String wdstmth;

    @ExcelProperty(value = "集水面积",index = 13)
    private String drar;


    @ExcelProperty(value = "流入何处",index = 14)
    private String flto;


    @ExcelProperty(value = "至河口距离",index = 15)
    private String dstrvm;


    @ExcelProperty(value = "基准基面名称",index = 16)
    private String fdtmnm;


    @ExcelProperty(value = "领导机关",index = 17)
    private String admag;


    @ExcelProperty(value = "管理单位",index = 18)
    private String admnst;


    @ExcelProperty(value = "站址",index = 19)
    private String stlc;


    @ExcelProperty(value = "东经",index = 20)
    private String lgtd;


    @ExcelProperty(value = "北纬",index = 21)
    private String lttd;

    @ExcelProperty(value = "测站等级",index = 22)
    private String stgrd;

    @ExcelProperty(value = "报汛等级",index = 23)
    private String frgrd;

    @ExcelProperty(value = "备注",index = 24)
    private String nt;

    private static final long serialVersionUID = 1L;

}
