package com.ruoyi.swlscx.basic.domain.po;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * 导出任务
 * @TableName yc_export_task
 */
@TableName(value ="yc_export_task")
@Data
public class YcExportTask implements Serializable {
    /**
     * 
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 开始时间
     */
    private Date startTime;

    /**
     * 结束时间
     */
    private Date endTime;

    /**
     * 状态 0 进行中 1 完成
     */
    private Integer status;


    /**
     * 文件名称
     */
    private String filename;

    /**
     * 
     */
    private Long userId;

    private String filepath;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}