package com.ruoyi.swlscx.basic.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.common.core.page.R;
import com.ruoyi.swlscx.basic.domain.vo.HyStscAVo;
import com.ruoyi.swlscx.common.PageParams;
import com.ruoyi.swlscx.basic.domain.po.HyStscA;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;

/**
* @author 12974
* @description 针对表【hy_stsc_a】的数据库操作Service
* @createDate 2024-07-30 13:37:07
*/
public interface HyStscAService extends IService<HyStscA> {

    /**
     * 导入站点信息数据
     */
    void importHyStsc(MultipartFile file);

    /**
     * 查询站点信息
     */
    IPage<HyStscAVo> getStationPageByInfo(PageParams pageParams, String stnm, String stcd, String startTime, String endTime);

    /**
     * 导出测站一览表
     */
    R exportStation(HttpServletResponse response, String startTime, String endTime, String stcd, String stnm);

    R importDateTosoft(String startTime, String endTime);


    /**
     * 导出测站一览表
     */
    R testSqlServer();
}
