package com.ruoyi.swlscx.day.domain.bo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 日降水表
 * @TableName hy_dp_c
 */
@Data
public class HyDpCBo implements Serializable {
    /**
     * 站码
     */
    @ExcelProperty(value = "站码",index = 1)
    private String stcd;

    /**
     * 日期
     */
    @ExcelProperty(value = "日期",index = 3)
    private String dt;

    /**
     * 降水量(毫米)
     */
    @ExcelProperty(value = "降水量",index = 4)
    private String p;

    /**
     * 降水量注解码
     */
    @ExcelProperty(value = "站码",index = 5)
    private String prcd;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}