package com.ruoyi.swlscx.day.domain.bo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 日平均流量表
 * @TableName hy_dq_c
 */
@Data
public class HyDqCBo implements Serializable {
    /**
     * 站码
     */
    @ExcelProperty(value = "站码",index = 1)
    private String stcd;

    /**
     * 日期
     */
    @ExcelProperty(value = "日期",index = 3)
    private String dt;

    /**
     * 平均流量
     */
    @ExcelProperty(value = "平均流量",index = 4)
    private String avq;

    /**
     * 平均流量注解码
     */
    @ExcelProperty(value = "平均流量注解码",index = 5)
    private String avqrcd;

    private static final long serialVersionUID = 1L;
}