package com.ruoyi.swlscx.day.domain.po;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import lombok.Data;

/**
 * 日平均含沙量表
 * @TableName hy_dcs_f
 */
@TableName(value ="hy_dcs_f")
@Data
public class HyDcsF implements Serializable {
    /**
     * 站码
     */
    private String stcd;

    /**
     * 日期
     */
    private Date dt;

    /**
     * 平均含沙量(千克每立方米)
     */
    private BigDecimal avcs;

    /**
     * 平均含沙量注解码
     */
    private String avcsrcd;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}