package com.ruoyi.swlscx.day.domain.po;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import lombok.Data;

/**
 * 日平均流量表
 * @TableName hy_dq_c
 */
@TableName(value ="hy_dq_c")
@Data
public class HyDqC implements Serializable {
    /**
     * 站码
     */
    private String stcd;

    /**
     * 日期
     */
    private Date dt;

    /**
     * 平均流量
     */
    private BigDecimal avq;

    /**
     * 平均流量注解码
     */
    private String avqrcd;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}