package com.ruoyi.swlscx.day.domain.po;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import lombok.Data;

/**
 * 日平均输沙率表
 * @TableName hy_dqs_c
 */
@TableName(value ="hy_dqs_c")
@Data
public class HyDqsC implements Serializable {
    /**
     * 站码
     */
    private String stcd;

    /**
     * 泥沙类型
     */
    private String sdtp;

    /**
     * 日期
     */
    private Date dt;

    /**
     * 平均输沙率(千克每秒)
     */
    private BigDecimal avqs;

    /**
     * 平均输沙率注解码
     */
    private String avqsrcd;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}