package com.ruoyi.swlscx.day.domain.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 日平均流量表
 * @TableName hy_dq_c
 */
@Data
public class HyDqCVo implements Serializable {
    /**
     * 站码
     */
    private String stcd;

    /**
     * 站名
     */
    private String stnm;

    /**
     * 日期
     */
    private Date dt;

    /**
     * 平均流量
     */
    private BigDecimal avq;

    /**
     * 平均流量注解码
     */
    private String avqrcd;

    private static final long serialVersionUID = 1L;
}