package com.ruoyi.swlscx.day.domain.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 日水温表
 * @TableName hy_dwt_c
 */
@Data
public class HyDwtCVo implements Serializable {
    /**
     * 站码
     */
    private String stcd;

    /**
     * 站名
     */
    private String stnm;

    /**
     * 日期
     */
    private Date dt;

    /**
     * 水温
     */
    private BigDecimal wtmp;

    /**
     * 水温注解码
     */
    private String wtmprcd;

    private static final long serialVersionUID = 1L;
}