package com.ruoyi.swlscx.day.domain.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 日平均水位表
 * @TableName hy_dz_c
 */
@Data
public class HyDzCVo implements Serializable {
    /**
     * 站码
     */
    private String stcd;

    /**
     * 站名
     */
    private String stnm;

    /**
     * 日期
     */
    private Date dt;

    /**
     * 平均水位(米)
     */
    private BigDecimal avz;

    /**
     * 平均水位注解码
     */
    private String avzrcd;

    private static final long serialVersionUID = 1L;
}