package com.ruoyi.swlscx.day.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.swlscx.day.domain.po.HyDcsF;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.swlscx.day.domain.vo.HyDcsFVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
* @author 12974
* @description 针对表【hy_dcs_f(日平均含沙量表)】的数据库操作Mapper
* @createDate 2024-10-16 16:12:22
* @Entity com.ruoyi.swlscx.day.domain.po.HyDcsF
*/
public interface HyDcsFMapper extends BaseMapper<HyDcsF> {

    void deleteAll();

    void batchInsert(@Param("list") List<HyDcsF> collect);

    void batchInsertOrUpdate();

    IPage<HyDcsFVo> selectHyDcsFPageByInfo(Page<HyDcsFVo> page,@Param("map") Map<String, Object> map);

    void mergeToData();

    void deleteTempData();

    void insertTempData(@Param("list") List<HyDcsF> batch);
}




