package com.ruoyi.swlscx.day.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.swlscx.day.domain.po.HyDqC;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.swlscx.day.domain.vo.HyDqCVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
* @author 12974
* @description 针对表【hy_dq_c(日平均流量表)】的数据库操作Mapper
* @createDate 2024-10-16 15:40:17
* @Entity com.ruoyi.swlscx.day.domain.po.HyDqC
*/
@Mapper
public interface HyDqCMapper extends BaseMapper<HyDqC> {

    void deleteAll();

    void batchInsert(@Param("list") List<HyDqC> collect);

    void batchInsertOrUpdate();

    IPage<HyDqCVo> selectHyMtqEPageByInfo(Page<HyDqCVo> page,@Param("map") Map<String, Object> map);

    void mergeToData();
}




