package com.ruoyi.swlscx.day.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.swlscx.day.domain.po.HyDweC;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.swlscx.day.domain.vo.HyDweCVo;
import com.ruoyi.swlscx.year.domain.vo.HyYrweFVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
* @author 12974
* @description 针对表【hy_dwe_c(日水面蒸发量表)】的数据库操作Mapper
* @createDate 2024-10-16 17:24:19
* @Entity com.ruoyi.swlscx.day.domain.po.HyDweC
*/
public interface HyDweCMapper extends BaseMapper<HyDweC> {

    void deleteAll();

    void batchInsert(@Param("list") List<HyDweC> collect);

    void batchInsertOrUpdate();

    /**
     * 查询日水面蒸发表数据
     */
    IPage<HyDweCVo> selectHyDweCDataByPageAndInfo(Page<HyDweCVo> page,@Param("map") Map<String, Object> map);
}




