package com.ruoyi.swlscx.day.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.swlscx.day.domain.po.HyDzC;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.swlscx.day.domain.vo.HyDzCVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
* @author 12974
* @description 针对表【hy_dz_c(日平均水位表)】的数据库操作Mapper
* @createDate 2024-10-16 16:46:04
* @Entity com.ruoyi.swlscx.day.domain.po.HyDzC
*/
public interface HyDzCMapper extends BaseMapper<HyDzC> {

    void deleteAll();

    void batchInsert(@Param("list") List<HyDzC> collect);

    void batchInsertOrUpdate();

    IPage<HyDzCVo> selectHyDzCPageByInfo(Page<HyDzCVo> page,@Param("map") Map<String, Object> map);

    void mergeToData();
}




