package com.ruoyi.swlscx.excerpt.domain.bo;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 逐潮高低潮位表
 *
 * @TableName hy_hltdz_b
 */
@Data
public class HyHltdzBBo implements Serializable {
    /**
     * 站码
     */
    @ExcelProperty(value = "站码", index = 1)
    private String stcd;

    /**
     * 时间
     */
    @ExcelProperty(value = "时间", index = 3)
    private String tm;

    /**
     * 潮别
     */
    @ExcelProperty(value = "潮别", index = 4)
    private String tdtp;

    /**
     * 潮位
     */
    @ExcelProperty(value = "潮位", index = 5)
    private String tdz;

    /**
     * 潮位注解码
     */
    @ExcelProperty(value = "潮位注解码", index = 6)
    private String tdzrcd;

    /**
     * 潮差
     */
    @ExcelProperty(value = "潮差", index = 7)
    private String tdrng;

    /**
     * 历时
     */
    @ExcelProperty(value = "历时", index = 8)
    private String dr;

    /**
     * 备注
     */
    @ExcelProperty(value = "备注", index = 9)
    private String nt;

    private static final long serialVersionUID = 1L;
}