package com.ruoyi.swlscx.excerpt.domain.po;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import lombok.Data;

/**
 * 逐潮高低潮位表
 * @TableName hy_hltdz_b
 */
@TableName(value ="hy_hltdz_b")
@Data
public class HyHltdzB implements Serializable {
    /**
     * 站码
     */
    private String stcd;

    /**
     * 时间
     */
    private Date tm;

    /**
     * 潮别
     */
    private String tdtp;

    /**
     * 潮位
     */
    private BigDecimal tdz;

    /**
     * 潮位注解码
     */
    private String tdzrcd;

    /**
     * 潮差
     */
    private BigDecimal tdrng;

    /**
     * 历时
     */
    private String dr;

    /**
     * 备注
     */
    private String nt;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}