package com.ruoyi.swlscx.excerpt.domain.po;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 降水量摘录表
 * @TableName hy_prex_b
 */
@TableName(value ="hy_prex_b")
@Data
@EqualsAndHashCode
public class HyPrexB implements Serializable {
    /**
     * 站码
     */
    private String stcd;

    /**
     * 起时间
     */
    private Date bgtm;

    /**
     * 止时间
     */
    private Date endtm;

    /**
     * 降水量(毫米)
     */
    private BigDecimal p;

    /**
     * 降水量注解码
     */
    private String prcd;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}