
package com.ruoyi.swlscx.excerpt.domain.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 洪水水文要素摘录表
 * @TableName hy_fdheex_b
 */
@Data
public class HyFdheexBVo implements Serializable {
    /**
     * 站码
     */
    private String stcd;


    /**
     * 站名
     */
    private String stnm;

    /**
     * 时间
     */
    private Date tm;

    /**
     * 水位
     */
    private BigDecimal z;

    /**
     * 水位注解码

     */
    private String zrcd;

    /**
     * 流量
     */
    private BigDecimal q;

    /**
     * 含沙量
     */
    private BigDecimal s;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}