package com.ruoyi.swlscx.excerpt.domain.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 降水量摘录表
 * @TableName hy_prex_b
 */
@Data
@EqualsAndHashCode
public class HyPrexBVo implements Serializable {
    /**
     * 站码
     */
    private String stcd;


    /**
     * 站名
     */
    private String stnm;

    /**
     * 起时间
     */
    private Date bgtm;

    /**
     * 止时间
     */
    private Date endtm;

    /**
     * 降水量(毫米)
     */
    private BigDecimal p;

    /**
     * 降水量注解码
     */
    private String prcd;

    private static final long serialVersionUID = 1L;
}