package com.ruoyi.swlscx.excerpt.domain.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 水库洪水水文要素摘录表
 * @TableName hy_rvfhex_b
 */
@Data
public class HyRvfhexBVo implements Serializable {
    /**
     * 站码
     */
    private String stcd;

    /**
     * 站名
     */
    private String stnm;


    /**
     * 时间
     */
    private Date tm;

    /**
     * 坝上水位
     */
    private BigDecimal dambhdz;

    /**
     * 坝上水位注解码
     */
    private String dambhdzrcd;

    /**
     * 流量
     */
    private BigDecimal q;

    /**
     * 含沙量
     */
    private BigDecimal s;

    /**
     * 蓄水量
     */
    private BigDecimal w;

    /**
     * 备注
     */
    private String nt;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}