package com.ruoyi.swlscx.excerpt.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.ruoyi.common.core.page.R;
import com.ruoyi.swlscx.common.PageParams;
import com.ruoyi.swlscx.excerpt.domain.po.HyFdheexB;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.swlscx.excerpt.domain.vo.HyFdheexBVo;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;

/**
* @author 12974
* @description 针对表【hy_fdheex_b(洪水水文要素摘录表)】的数据库操作Service
* @createDate 2024-10-17 13:15:04
*/
public interface HyFdheexBService extends IService<HyFdheexB> {

    /**
     * 导入洪水水文要素摘录表
     */
    void imporHyFdheexBData(MultipartFile file);


    /**
     * 查询洪水水文要素摘录表
     */
    IPage<HyFdheexBVo> selectHyFdheexBPageByInfo(PageParams pageParams, String startTime, String endTime, String stnm, String stcd);

    /**
     * 导出洪水水文要素摘录表
     */
    R exportFloodExcerpt(HttpServletResponse response, String startTime, String endTime, String stnm, String stcd);

    R importDateTosoft(String startTime, String endTime);
}
