package com.ruoyi.swlscx.excerpt.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.ruoyi.common.core.page.R;
import com.ruoyi.swlscx.common.PageParams;
import com.ruoyi.swlscx.excerpt.domain.po.HyRvfhexB;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.swlscx.excerpt.domain.vo.HyRvfhexBVo;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;

/**
* @author 12974
* @description 针对表【hy_rvfhex_b(水库洪水水文要素摘录表)】的数据库操作Service
* @createDate 2024-10-17 13:54:18
*/
public interface HyRvfhexBService extends IService<HyRvfhexB> {

    /**
     * 导入水库洪水水文要素摘录表
     */
    void importHyRvfhexBData(MultipartFile file);

    /**
     * 查询水库洪水水文要素摘录表
     */
    IPage<HyRvfhexBVo> selectHyRvfhexBPageByInfo(PageParams pageParams, String startTime, String endTime, String stnm, String stcd);

    /**
     * 导出水库洪水水文要素摘录表
     */
    R exportRsverFloodExcerpt(HttpServletResponse response, String startTime, String endTime, String stnm, String stcd);

    R importDateTosoft(String startTime, String endTime);
}
