package com.ruoyi.swlscx.excerpt.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.ruoyi.common.core.page.R;
import com.ruoyi.swlscx.common.PageParams;
import com.ruoyi.swlscx.excerpt.domain.po.HyWsfhexB;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.swlscx.excerpt.domain.vo.HyWsfhexBVo;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;

/**
* @author 12974
* @description 针对表【hy_wsfhex_b(水闸洪水水文要素摘录表)】的数据库操作Service
* @createDate 2024-10-17 14:14:32
*/
public interface HyWsfhexBService extends IService<HyWsfhexB> {

    /**
     * 导入水闸洪水水文要素摘录表
     */
    void importHyWsfhexBData(MultipartFile file);

    /**
     * 查询水闸洪水水文要素摘录表
     */
    IPage<HyWsfhexBVo> selectHyWsfhexBPageByInfo(PageParams pageParams, String startTime, String endTime, String stnm, String stcd);

    /**
     * 导出水库洪水水文要素摘录表
     */
    R exportSzFloodExcerpt(HttpServletResponse response, String startTime, String endTime, String stnm, String stcd);

    R importDateTosoft(String startTime, String endTime);
}
