package com.ruoyi.swlscx.month.domain.bo;


import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.format.DateTimeFormat;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 
 * @author 12974
 * @TableName hy_hmxp_f
 */
@TableName(value ="hy_hmxp_f")
@Data
public class HyHmxpFExcelBo implements Serializable {
    /**
     * 站码
     */
    @ExcelProperty(value = "站码",index = 1)
    private String stcd;

    /**
     * 最大降水量时段长(小时)
     */
    @ExcelProperty(value = "最大降水量时段长",index = 7)
    private Integer mxpdr;

    /**
     * 年
     */
    @ExcelProperty(value = "年",index = 5)
    private Integer yr;

    /**
     * 起时间
     */
    @ExcelProperty(value = "起时间",index = 6)
    private String bgtm;

    /**
     * 最大降水量(毫米)
     */
    @ExcelProperty(value = "最大降水量",index = 8)
    private String mxp;

    /**
     * 最大降水量注解码
     */
    @ExcelProperty(value = "最大降水量注解码",index = 9)
    private String mxprc;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;


}