package com.ruoyi.swlscx.month.domain.bo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @Author al
 * @Date 2024/7/30 15:52
 * @Description: TODO
 * @Version
 */
@Data
public class HyMtpEBo  implements Serializable {

    /**
     * 站码
     */
    @ExcelProperty(value = "站码",index = 1)
    private String stcd;


    /**
     * 年
     */
    @ExcelProperty(value = "年",index = 4)
    private String yr;

    /**
     * 月
     */
    @ExcelProperty(value = "月",index = 5)
    private String mth;

    /**
     * 降水量(毫米)
     */
    @ExcelProperty(value = "降水量",index = 6)
    private String p;

    /**
     * 降水量注解码
     */
    @ExcelProperty(value = "降水量注解码",index = 7)
    private String prcd;

    /**
     * 降水日数
     */
    @ExcelProperty(value = "降水日数",index = 8)
    private String pdynum;

    /**
     * 降水日数注解码
     */
    @ExcelProperty(value = "降水日数注解码",index = 9)
    private String pdynumrcd;

    /**
     * 最大降水量(毫米)
     */
    @ExcelProperty(value = "最大日降水量",index = 10)
    private String mxdyp;

    /**
     * 最大降水量注解码
     */
    @ExcelProperty(value = "最大日降水量注解码",index = 11)
    private String mxdyprcd;

    /**
     * 最大日降水量出现日期
     */
    @ExcelProperty(value = "最大日降水量出现日期",index = 12)
    private String mxdypodt;

    private static final long serialVersionUID = 1L;

}
