package com.ruoyi.swlscx.month.domain.bo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 月流量表
 * @TableName hy_mtq_e
 */
@Data
public class HyMtqEBo implements Serializable {
    /**
     * 站码
     */
    @ExcelProperty(value = "站码",index = 1)
    private String stcd;

    /**
     * 年
     */
    @ExcelProperty(value = "年",index = 5)
    private String yr;

    /**
     * 月
     */
    @ExcelProperty(value = "月",index = 6)
    private String mth;

    /**
     * 平均流量
     */
    @ExcelProperty(value = "平均流量",index = 7)
    private String avq;

    /**
     * 平均流量注解码
     */
    @ExcelProperty(value = "平均流量注解码",index = 8)
    private String avqrcd;

    /**
     * 最高流量
     */
    @ExcelProperty(value = "最高流量",index = 9)
    private String mxq;

    /**
     * 最高流量注解码
     */
    @ExcelProperty(value = "最高流量注解码",index = 10)
    private String mxqrcd;

    /**
     * 最高流量日期
     */
    @ExcelProperty(value = "最高流量日期",index = 11)
    private String mxqdt;

    /**
     * 最小流量
     */
    @ExcelProperty(value = "最小流量",index = 12)
    private String mnq;

    /**
     * 最小流量注解码
     */
    @ExcelProperty(value = "最小流量注解码",index = 13)
    private String mnqrcd;

    /**
     * 最小流量日期
     */
    @ExcelProperty(value = "最小流量日期",index = 14)
    private String mnqdt;

    private static final long serialVersionUID = 1L;
}