package com.ruoyi.swlscx.month.domain.bo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 月输沙率表
 * @TableName hy_mtqs_e
 */
@TableName(value ="hy_mtqs_e")
@Data
public class HyMtqsEBo implements Serializable {
    /**
     * 站码
     */
    @ExcelProperty(value = "站码",index = 1)
    private String stcd;

    /**
     * 泥沙类型
     */
    @ExcelProperty(value = "泥沙类型",index = 7)
    private String sdtp;

    /**
     * 年
     */
    @ExcelProperty(value = "年",index = 5)
    private String yr;

    /**
     * 月
     */
    @ExcelProperty(value = "月",index = 6)
    private String mth;

    /**
     * 平均输沙率(千克每秒)
     */
    @ExcelProperty(value = "平均输沙率",index = 8)
    private String avqs;

    /**
     * 平均输沙率注解码
     */
    @ExcelProperty(value = "平均输沙率注解码",index = 9)
    private String avqsrcd;

    /**
     * 最大日平均沙率(千克每秒)
     */
    @ExcelProperty(value = "最大日平均沙率",index = 10)
    private String mxdyqs;

    /**
     * 最大日平均沙率注解码
     */
    @ExcelProperty(value = "最大日平均沙率注解码",index = 11)
    private String mxdyqsrcd;

    /**
     * 最大日平均沙率出现日期
     */
    @ExcelProperty(value = "最大日平均沙率出现日期",index = 12)
    private String mxdyqsodt;

    private static final long serialVersionUID = 1L;
}