package com.ruoyi.swlscx.month.domain.bo;


import com.alibaba.excel.annotation.ExcelProperty;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 
 * @TableName 月水位表
 */
@Data
public class HyMtzEBo implements Serializable {
    /**
     * 站码
     */
    @ExcelProperty(value = "站码",index = 1)
    private String stcd;

    /**
     * 年
     */
    @ExcelProperty(value = "年",index = 5)
    private String yr;

    /**
     * 月
     */
    @ExcelProperty(value = "月",index = 6)
    private String mth;

    /**
     * 平均水位
     */
    @ExcelProperty(value = "平均水位",index = 7)
    private String avz;

    /**
     * 平均水位注解码
     */
    @ExcelProperty(value = "平均水位注解码",index = 8)
    private String avzrcd;

    /**
     * 最高水位
     */
    @ExcelProperty(value = "最高水位",index = 9)
    private String htz;

    /**
     * 最高水位注解码
     */
    @ExcelProperty(value = "最高水位注解码",index = 10)
    private String htzrcd;

    /**
     * 最高水位日期
     */
    @ExcelProperty(value = "最高水位日期",index = 11)
    private String htzdt;

    /**
     * 最低水位
     */
    @ExcelProperty(value = "最低水位",index = 12)
    private String mnz;

    /**
     * 最低水位注解码
     */
    @ExcelProperty(value = "最低水位注解码",index = 13)
    private String mnzrcd;

    /**
     * 最低水位日期
     */
    @ExcelProperty(value = "最低水位日期",index = 14)
    private String mnzdt;

    private static final long serialVersionUID = 1L;

}