package com.ruoyi.swlscx.month.domain.po;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.math.BigDecimal;
import lombok.Data;

/**
 * 月泥沙特征粒径表字段定义
 * @TableName hy_mtchpd_e
 */
@TableName(value ="hy_mtchpd_e")
@Data
public class HyMtchpdE implements Serializable {
    /**
     * 站码
     */
    private String stcd;

    /**
     * 泥沙类型
     */
    private String sdtp;

    /**
     * 年
     */
    private Integer yr;

    /**
     * 月
     */
    private Integer mth;

    /**
     * 中数粒径(毫米)
     */
    private BigDecimal mdpd;

    /**
     * 平均粒径(毫米)
     */
    private BigDecimal avpd;

    /**
     * 最大粒径(毫米)
     */
    private BigDecimal mxpd;

    /**
     * 备注
     */
    private String nt;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}