package com.ruoyi.swlscx.month.domain.po;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.math.BigDecimal;
import lombok.Data;

/**
 * 月平均泥沙颗粒级配表
 * @TableName hy_mtpddb_e
 */
@TableName(value ="hy_mtpddb_e")
@Data
public class HyMtpddbE implements Serializable {
    /**
     * 站码
     */
    private String stcd;

    /**
     * 泥沙类型
     */
    private String sdtp;

    /**
     * 年
     */
    private Integer yr;

    /**
     * 月
     */
    private Integer mth;

    /**
     * 上限粒径(毫米)
     */
    private BigDecimal ltpd;

    /**
     * 平均沙重百分数
     */
    private BigDecimal avswpct;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}