package com.ruoyi.swlscx.month.domain.po;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import lombok.Data;

/**
 * 月流量表
 * @TableName hy_mtq_e
 */
@TableName(value ="hy_mtq_e")
@Data
public class HyMtqE implements Serializable {
    /**
     * 站码
     */
    private String stcd;

    /**
     * 年
     */
    private Integer yr;

    /**
     * 月
     */
    private Integer mth;

    /**
     * 平均流量
     */
    private BigDecimal avq;

    /**
     * 平均流量注解码
     */
    private String avqrcd;

    /**
     * 最高流量
     */
    private BigDecimal mxq;

    /**
     * 最高流量注解码
     */
    private String mxqrcd;

    /**
     * 最高流量日期
     */
    private Date mxqdt;

    /**
     * 最小流量
     */
    private BigDecimal mnq;

    /**
     * 最小流量注解码
     */
    private String mnqrcd;

    /**
     * 最小流量日期
     */
    private Date mnqdt;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}