package com.ruoyi.swlscx.month.domain.po;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import lombok.Data;

/**
 * 月输沙率表
 * @TableName hy_mtqs_e
 */
@TableName(value ="hy_mtqs_e")
@Data
public class HyMtqsE implements Serializable {
    /**
     * 站码
     */
    private String stcd;

    /**
     * 泥沙类型
     */
    private String sdtp;

    /**
     * 年
     */
    private Integer yr;

    /**
     * 月
     */
    private Integer mth;

    /**
     * 平均输沙率(千克每秒)
     */
    private BigDecimal avqs;

    /**
     * 平均输沙率注解码
     */
    private String avqsrcd;

    /**
     * 最大日平均沙率(千克每秒)
     */
    private BigDecimal mxdyqs;

    /**
     * 最大日平均沙率注解码
     */
    private String mxdyqsrcd;

    /**
     * 最大日平均沙率出现日期
     */
    private Date mxdyqsodt;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}