package com.ruoyi.swlscx.month.domain.po;


import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 
 * @TableName 月水位表
 */
@TableName(value ="hy_mtz_e")
public class HyMtzE implements Serializable {
    /**
     * 站码
     */
    private String stcd;

    /**
     * 年
     */
    private Integer yr;

    /**
     * 月
     */
    private Integer mth;

    /**
     * 平均水位
     */
    private BigDecimal avz;

    /**
     * 平均水位注解码
     */
    private String avzrcd;

    /**
     * 最高水位
     */
    private BigDecimal htz;

    /**
     * 最高水位注解码
     */
    private String htzrcd;

    /**
     * 最高水位日期
     */
    private Date htzdt;

    /**
     * 最低水位
     */
    private BigDecimal mnz;

    /**
     * 最低水位注解码
     */
    private String mnzrcd;

    /**
     * 最低水位日期
     */
    private Date mnzdt;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;

    /**
     * 站码
     */
    public String getStcd() {
        return stcd;
    }

    /**
     * 站码
     */
    public void setStcd(String stcd) {
        this.stcd = stcd;
    }

    /**
     * 年
     */
    public Integer getYr() {
        return yr;
    }

    /**
     * 年
     */
    public void setYr(Integer yr) {
        this.yr = yr;
    }

    /**
     * 月
     */
    public Integer getMth() {
        return mth;
    }

    /**
     * 月
     */
    public void setMth(Integer mth) {
        this.mth = mth;
    }

    /**
     * 平均水位
     */
    public BigDecimal getAvz() {
        return avz;
    }

    /**
     * 平均水位
     */
    public void setAvz(BigDecimal avz) {
        this.avz = avz;
    }

    /**
     * 平均水位注解码
     */
    public String getAvzrcd() {
        return avzrcd;
    }

    /**
     * 平均水位注解码
     */
    public void setAvzrcd(String avzrcd) {
        this.avzrcd = avzrcd;
    }

    /**
     * 最高水位
     */
    public BigDecimal getHtz() {
        return htz;
    }

    /**
     * 最高水位
     */
    public void setHtz(BigDecimal htz) {
        this.htz = htz;
    }

    /**
     * 最高水位注解码
     */
    public String getHtzrcd() {
        return htzrcd;
    }

    /**
     * 最高水位注解码
     */
    public void setHtzrcd(String htzrcd) {
        this.htzrcd = htzrcd;
    }

    /**
     * 最高水位日期
     */
    public Date getHtzdt() {
        return htzdt;
    }

    /**
     * 最高水位日期
     */
    public void setHtzdt(Date htzdt) {
        this.htzdt = htzdt;
    }

    /**
     * 最低水位
     */
    public BigDecimal getMnz() {
        return mnz;
    }

    /**
     * 最低水位
     */
    public void setMnz(BigDecimal mnz) {
        this.mnz = mnz;
    }

    /**
     * 最低水位注解码
     */
    public String getMnzrcd() {
        return mnzrcd;
    }

    /**
     * 最低水位注解码
     */
    public void setMnzrcd(String mnzrcd) {
        this.mnzrcd = mnzrcd;
    }

    /**
     * 最低水位日期
     */
    public Date getMnzdt() {
        return mnzdt;
    }

    /**
     * 最低水位日期
     */
    public void setMnzdt(Date mnzdt) {
        this.mnzdt = mnzdt;
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        HyMtzE other = (HyMtzE) that;
        return (this.getStcd() == null ? other.getStcd() == null : this.getStcd().equals(other.getStcd()))
            && (this.getYr() == null ? other.getYr() == null : this.getYr().equals(other.getYr()))
            && (this.getMth() == null ? other.getMth() == null : this.getMth().equals(other.getMth()))
            && (this.getAvz() == null ? other.getAvz() == null : this.getAvz().equals(other.getAvz()))
            && (this.getAvzrcd() == null ? other.getAvzrcd() == null : this.getAvzrcd().equals(other.getAvzrcd()))
            && (this.getHtz() == null ? other.getHtz() == null : this.getHtz().equals(other.getHtz()))
            && (this.getHtzrcd() == null ? other.getHtzrcd() == null : this.getHtzrcd().equals(other.getHtzrcd()))
            && (this.getHtzdt() == null ? other.getHtzdt() == null : this.getHtzdt().equals(other.getHtzdt()))
            && (this.getMnz() == null ? other.getMnz() == null : this.getMnz().equals(other.getMnz()))
            && (this.getMnzrcd() == null ? other.getMnzrcd() == null : this.getMnzrcd().equals(other.getMnzrcd()))
            && (this.getMnzdt() == null ? other.getMnzdt() == null : this.getMnzdt().equals(other.getMnzdt()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getStcd() == null) ? 0 : getStcd().hashCode());
        result = prime * result + ((getYr() == null) ? 0 : getYr().hashCode());
        result = prime * result + ((getMth() == null) ? 0 : getMth().hashCode());
        result = prime * result + ((getAvz() == null) ? 0 : getAvz().hashCode());
        result = prime * result + ((getAvzrcd() == null) ? 0 : getAvzrcd().hashCode());
        result = prime * result + ((getHtz() == null) ? 0 : getHtz().hashCode());
        result = prime * result + ((getHtzrcd() == null) ? 0 : getHtzrcd().hashCode());
        result = prime * result + ((getHtzdt() == null) ? 0 : getHtzdt().hashCode());
        result = prime * result + ((getMnz() == null) ? 0 : getMnz().hashCode());
        result = prime * result + ((getMnzrcd() == null) ? 0 : getMnzrcd().hashCode());
        result = prime * result + ((getMnzdt() == null) ? 0 : getMnzdt().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", stcd=").append(stcd);
        sb.append(", yr=").append(yr);
        sb.append(", mth=").append(mth);
        sb.append(", avz=").append(avz);
        sb.append(", avzrcd=").append(avzrcd);
        sb.append(", htz=").append(htz);
        sb.append(", htzrcd=").append(htzrcd);
        sb.append(", htzdt=").append(htzdt);
        sb.append(", mnz=").append(mnz);
        sb.append(", mnzrcd=").append(mnzrcd);
        sb.append(", mnzdt=").append(mnzdt);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}