package com.ruoyi.swlscx.month.domain.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 月流量表
 * @TableName hy_mtq_e
 */
@Data
public class HyMtqEVo implements Serializable {
    /**
     * 站码
     */
    private String stcd;

    /**
     * 年
     */
    private String yr;

    /**
     * 月
     */
    private String mth;

    /**
     * 平均流量
     */
    private String avq;

    /**
     * 平均流量注解码
     */
    private String avqrcd;

    /**
     * 最高流量
     */
    private String mxq;

    /**
     * 最高流量注解码
     */
    private String mxqrcd;

    /**
     * 最高流量日期
     */
    private String mxqdt;

    /**
     * 最小流量
     */
    private String mnq;

    /**
     * 最小流量注解码
     */
    private String mnqrcd;

    /**
     * 最小流量日期
     */
    private String mnqdt;


    /**
     * 站名
     */
    private String stnm;


    private String addvcd;


    /**
     * 流域水系码
     */
    private String lysxm;


    private static final long serialVersionUID = 1L;
}