package com.ruoyi.swlscx.month.domain.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 月输沙率表
 * @TableName hy_mtqs_e
 */
@TableName(value ="hy_mtqs_e")
@Data
public class HyMtqsEVo implements Serializable {
    /**
     * 站码
     */
    private String stcd;

    /**
     * 泥沙类型
     */
    private String sdtp;

    /**
     * 年
     */
    private Integer yr;

    /**
     * 月
     */
    private Integer mth;

    /**
     * 平均输沙率(千克每秒)
     */
    private BigDecimal avqs;

    /**
     * 平均输沙率注解码
     */
    private String avqsrcd;

    /**
     * 最大日平均沙率(千克每秒)
     */
    private BigDecimal mxdyqs;

    /**
     * 最大日平均沙率注解码
     */
    private String mxdyqsrcd;

    /**
     * 最大日平均沙率出现日期
     */
    private String mxdyqsodt;


    /**
     * 站名
     */
    private String stnm;


    private String addvcd;


    /**
     * 流域水系码
     */
    private String lysxm;

    private static final long serialVersionUID = 1L;
}