package com.ruoyi.swlscx.month.domain.vo;


import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 
 * @TableName 月水位表
 */
@Data
public class HyMtzEVo  {
    /**
     * 站码
     */
    private String stcd;

    /**
     * 年
     */
    private Integer yr;

    /**
     * 月
     */
    private Integer mth;

    /**
     * 平均水位
     */
    private BigDecimal avz;

    /**
     * 平均水位注解码
     */
    private String avzrcd;

    /**
     * 最高水位
     */
    private BigDecimal htz;

    /**
     * 最高水位注解码
     */
    private String htzrcd;

    /**
     * 最高水位日期
     */
    private String htzdt;

    /**
     * 最低水位
     */
    private BigDecimal mnz;

    /**
     * 最低水位注解码
     */
    private String mnzrcd;

    /**
     * 最低水位日期
     */
    private String mnzdt;


    /**
     * 行政区划码
     */
    private String addvcd;

    /**
     * 流域水系码
     */
    private String lysxm;


    /**站名**/
    private String stnm;
}