package com.ruoyi.swlscx.month.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.swlscx.month.domain.po.HyMtcsE;
import com.ruoyi.swlscx.month.domain.vo.HyMtcsEVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
* @author 12974
* @description 针对表【hy_mtcs_e(月含沙量表)】的数据库操作Mapper
* @createDate 2024-08-05 14:26:28
* @Entity com.ruoyi.swlscx.domain.po.HyMtcsE
*/
@Mapper
public interface HyMtcsEMapper extends BaseMapper<HyMtcsE> {

    IPage<HyMtcsEVo> selectHyMtcsEDataByPageAndInfo(Page<HyMtcsEVo> page,@Param("map") Map<String, Object> map);

    void deleteTempData();

    void insertTempData(List<HyMtcsE> batch);

    void mergeToData();
}




