package com.ruoyi.swlscx.month.mapper;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.swlscx.month.domain.po.HyMtpE;
import com.ruoyi.swlscx.month.domain.vo.HyMptEVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
* @author 12974
* @description 针对表【hy_mtp_e(月降水表)】的数据库操作Mapper
* @createDate 2024-07-23 14:15:25
* @Entity com/ruoyi/swlscx/domain/po.po.HyMtpE
*/
@Mapper
public interface HyMtpEMapper extends BaseMapper<HyMtpE> {

    /**查询月降水表数据**/
    IPage<HyMptEVo> selectHyMtpDataByPageAndInfo(Page<HyMptEVo> page,@Param("map") Map<String, Object> map);

    /**查询月降水表数据**/
    List<HyMptEVo> selectHyMtpData(@Param("map") Map<String, Object> map);

    void deleteTempData();

    void insertTempData(@Param("list") List<HyMtpE> batch);

    void mergeToData();
}




