package com.ruoyi.swlscx.month.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.swlscx.month.domain.po.HyMtqsE;
import com.ruoyi.swlscx.month.domain.vo.HyMtqsEVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
* @author 12974
* @description 针对表【hy_mtqs_e(月输沙率表)】的数据库操作Mapper
* @createDate 2024-08-05 16:03:07
* @Entity com.ruoyi.swlscx.domain.po.HyMtqsE
*/
@Mapper
public interface HyMtqsEMapper extends BaseMapper<HyMtqsE> {

    IPage<HyMtqsEVo> selectHyMtqsEByPageAndInfo(Page<HyMtqsEVo> page,@Param("map") Map<String, Object> map);

    void deleteTempData();

    void insertTempData(@Param("list") List<HyMtqsE> batch);

    void mergeToData();
}




