package com.ruoyi.swlscx.month.service;


import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.common.core.page.R;
import com.ruoyi.swlscx.common.PageParams;
import com.ruoyi.swlscx.month.domain.po.HyMtpE;
import com.ruoyi.swlscx.month.domain.vo.HyMptEVo;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;

/**
* @author 12974
* @description 针对表【hy_mtp_e】的数据库操作Service
* @createDate 2024-07-23 14:15:25
*/
public interface HyMtpEService extends IService<HyMtpE> {

    /**
     * 导入月降水表数据
     */
    void importHyMtpEData(MultipartFile file);


    /**
     * 查询月降水表数据
     */
    IPage<HyMptEVo> selectHyMtpDataByPageAndInfo(PageParams pageParams, String startTime, String endTime, String stcd, String stnm);

    /**
     * 导出月降水表数据
     */
    R exportHyMtpData(HttpServletResponse response, String startTime, String endTime, String stcd, String stnm);

    R importDateTosoft(String startTime, String endTime);
}
