package com.ruoyi.swlscx.month.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.common.core.page.R;
import com.ruoyi.swlscx.common.PageParams;
import com.ruoyi.swlscx.month.domain.po.HyMtqsE;
import com.ruoyi.swlscx.month.domain.vo.HyMtqsEVo;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;

/**
* @author 12974
* @description 针对表【hy_mtqs_e(月输沙率表)】的数据库操作Service
* @createDate 2024-08-05 16:03:07
*/
public interface HyMtqsEService extends IService<HyMtqsE> {


    /**
     * 导入月输沙率表数据
     */
    void importHyMtqsEData(MultipartFile file);

    /**
     * 查询月输沙率表数据
     */
    IPage<HyMtqsEVo> selectHyMtqsEDataByPageAndInfo(PageParams pageParams, String stcdIds, String startTime, String endTime, String stcd, String stnm);

    /**
     * 导出月输沙率表
     */
    R exportMonthSedimentDischargeList(HttpServletResponse response, String startTime, String endTime, String stcd, String stnm);

    R importDateTosoft(String startTime, String endTime);
}
