package com.ruoyi.swlscx.month.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.common.core.page.R;
import com.ruoyi.swlscx.common.PageParams;
import com.ruoyi.swlscx.month.domain.po.HyMtweE;
import com.ruoyi.swlscx.month.domain.vo.HyMtweEVo;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;

/**
* @author 12974
* @description 针对表【hy_mtwe_e(月水面蒸发量表)】的数据库操作Service
* @createDate 2024-08-01 09:38:45
*/
public interface HyMtweEService extends IService<HyMtweE> {


    /**导入月水面蒸发量表数据*/
    void importHyMtweEDate(MultipartFile file);



    /**查询月水面蒸发量表数据*/
    IPage<HyMtweEVo> selectHyMtweEListPageByInfo(PageParams pageParams, String stcdIds, String startTime, String endTime, String stcd, String stnm);


    /**
     * 导出月水面蒸发量表
     */
    R exportMonthEvaporationWaterList(HttpServletResponse response, String startTime, String endTime, String stcd, String stnm);

    R importDateTosoft(String startTime, String endTime);
}
