package com.ruoyi.swlscx.month.service;


import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.common.core.page.R;
import com.ruoyi.swlscx.common.PageParams;
import com.ruoyi.swlscx.month.domain.po.HyMtzE;
import com.ruoyi.swlscx.month.domain.vo.HyMtzEVo;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;

/**
* @author 12974
* @description 针对表【hy_mtz_e】的数据库操作Service
* @createDate 2024-07-23 14:15:25
*/
public interface HyMtzEService extends IService<HyMtzE> {


    /**导入月水位表**/
    void importHyMtzEData(MultipartFile file);

    /**查询月水位表**/
    IPage<HyMtzEVo> selectHyMtzEPageByInfo(PageParams pageParams, String stcdIds, String startTime, String endTime, String stnm, String stcd);

    /**
     * 导出月水位表
     */
    R exportMonthWaterLeverList(HttpServletResponse response, String startTime, String endTime, String stcd, String stnm);

    R importDateTosoft(String startTime, String endTime);
}
