package com.ruoyi.swlscx.year.domain.bo;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 日时段最大降水量
 *
 * @TableName hy_dmxp_f
 */
@Data
public class HyDmxpFBo implements Serializable {
    /**
     * 站码
     */
    @ExcelProperty(value = "站码", index = 1)
    private String stcd;

    /**
     * 最大降水量时段长
     */
    @ExcelProperty(value = "最大降水量时段长", index = 7)
    private String mxpdr;

    /**
     * 年
     */
    @ExcelProperty(value = "年", index = 5)
    private String yr;

    /**
     * 起始日期
     */
    @ExcelProperty(value = "起始日期", index = 6)
    private String bgdt;

    /**
     * 最大降水量
     */
    @ExcelProperty(value = "最大降水量", index = 8)
    private String mxp;

    /**
     * 最大降水量注解码
     */
    @ExcelProperty(value = "最大降水量注解码", index = 9)
    private String mxprc;

    private static final long serialVersionUID = 1L;
}