package com.ruoyi.swlscx.year.domain.bo;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 时段最大洪量表
 *
 * @TableName hy_imxfw_f
 */
@Data
public class HyImxfwFBo implements Serializable {
    /**
     * 站码
     */
    @ExcelProperty(value = "站码", index = 1)
    private String stcd;

    /**
     * 最大洪量时段长
     */
    @ExcelProperty(value = "最大洪量时段长", index = 7)
    private String mxwdr;

    /**
     * 年
     */
    @ExcelProperty(value = "年", index = 5)
    private String yr;

    /**
     * 起始日期
     */
    @ExcelProperty(value = "起始日期", index = 6)
    private String bgdt;

    /**
     * 最大洪量
     */
    @ExcelProperty(value = "最大洪量", index = 8)
    private String mxw;

    /**
     * 最大洪量注解码
     */
    @ExcelProperty(value = "最大洪量注解码", index = 9)
    private String mxwrc;

    private static final long serialVersionUID = 1L;
}