package com.ruoyi.swlscx.year.domain.bo;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Data;

/**
 * 年流量表
 *
 * @TableName hy_yrq_f
 */
@Data
public class HyYrqFBo  {

    /**
     * 站码
     */
    @ExcelProperty(value = "站码", index = 1)
    private String stcd;

    /**
     * 年
     */
    @ExcelProperty(value = "年", index = 5)
    private String yr;

    /**
     * 平均流量
     */
    @ExcelProperty(value = "平均流量", index = 6)
    private String avq;

    /**
     * 平均流量注解码
     */
    @ExcelProperty(value = "平均流量注解码", index = 7)
    private String avqrcd;

    /**
     * 最高流量
     */
    @ExcelProperty(value = "最高流量", index = 8)
    private String mxq;

    /**
     * 最高流量注解码
     */
    @ExcelProperty(value = "最高流量注解码", index = 9)
    private String mxqrcd;

    /**
     * 最高流量日期
     */
    @ExcelProperty(value = "最高流量日期", index = 10)
    private String mxqdt;

    /**
     * 最小流量
     */
    @ExcelProperty(value = "最小流量", index = 11)
    private String mnq;

    /**
     * 最小流量注解码
     */
    @ExcelProperty(value = "最小流量注解码", index = 12)
    private String mnqrcd;

    /**
     * 最小流量日期
     */
    @ExcelProperty(value = "最小流量日期", index = 13)
    private String mnqdt;

    /**
     * 径流量(万立方米)
     */
    @ExcelProperty(value = "径流量", index = 14)
    private String rw;

    /**
     * 径流量注解码
     */
    @ExcelProperty(value = "径流量注解码", index = 15)
    private String rwrcd;

    /**
     * 径流模数(立方分米每秒平方千米)
     */
    @ExcelProperty(value = "径流模数", index = 16)
    private String rm;

    /**
     * 径流深(毫米)
     */
    @ExcelProperty(value = "径流深", index = 17)
    private String rd;

}