package com.ruoyi.swlscx.year.domain.bo;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Data;

/**
 * 年输沙率表
 *
 * @TableName hy_yrqs_f
 */
@Data
public class HyYrqsFBo {
    /**
     * 站码
     */
    @ExcelProperty(value = "站码", index = 1)
    private String stcd;

    /**
     * 泥沙类型
     */
    @ExcelProperty(value = "泥沙类型", index = 6)
    private String sdtp;

    /**
     * 年
     */
    @ExcelProperty(value = "年", index = 5)
    private String yr;

    /**
     * 平均输沙率(千克每秒)
     */
    @ExcelProperty(value = "平均输沙率", index = 7)
    private String avqs;

    /**
     * 平均输沙率注解码
     */
    @ExcelProperty(value = "平均输沙率注解码", index = 8)
    private String avqsrcd;

    /**
     * 最大日平均沙率(千克每秒)
     */
    @ExcelProperty(value = "最大日平均沙率", index = 9)
    private String mxdyqs;

    /**
     * 最大日平均沙率注解码
     */
    @ExcelProperty(value = "最大日平均沙率注解码", index = 10)
    private String mxdyqsrcd;

    /**
     * 最大日平均沙率出现日期
     */
    @ExcelProperty(value = "最大日平均沙率出现日期", index = 11)
    private String mxdyqsodt;

    /**
     * 输沙量(万吨)
     */
    @ExcelProperty(value = "输沙量", index = 12)
    private String sw;

    /**
     * 输沙量注解码
     */
    @ExcelProperty(value = "输沙量注解码", index = 13)
    private String swpc;

    /**
     * 输沙数模
     */
    @ExcelProperty(value = "输沙数模", index = 14)
    private String sm;

    /**
     * 采样仪器型号
     */
    @ExcelProperty(value = "采样仪器型号", index = 15)
    private String simn;

    /**
     * 采样效率系数
     */
    @ExcelProperty(value = "采样效率系数", index = 16)
    private String smec;

    /**
     * 备注
     */
    @ExcelProperty(value = "备注", index = 17)
    private String nt;

}