package com.ruoyi.swlscx.year.domain.bo;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 年水温表
 *
 * @TableName hy_yrwt_f
 */
@Data
public class HyYrwtFBo implements Serializable {
    /**
     * 站码
     */
    @ExcelProperty(value = "站码", index = 1)
    private String stcd;

    /**
     * 年
     */
    @ExcelProperty(value = "年", index = 5)
    private String yr;

    /**
     * 平均水温(摄氏度)
     */
    @ExcelProperty(value = "平均水温", index = 6)
    private String avwtmp;

    /**
     * 平均水温注解码
     */
    @ExcelProperty(value = "平均水温注解码", index = 7)
    private String avwtmprcd;

    /**
     * 最高水温(摄氏度)
     */
    @ExcelProperty(value = "最高水温", index = 8)
    private String mxwtmp;

    /**
     * 最高水温注解码
     */
    @ExcelProperty(value = "最高水温注解码", index = 9)
    private String mxwtmprcd;

    /**
     * 最高水温日期
     */
    private String mxwtmpdt;

    /**
     * 最低水温(摄氏度)
     */
    @ExcelProperty(value = "最低水温", index = 10)
    private String mnwtmp;

    /**
     * 最低水温注解码
     */
    @ExcelProperty(value = "最低水温注解码", index = 11)
    private String mnwtmprcd;

    /**
     * 最低水温日期
     */
    @ExcelProperty(value = "最低水温日期", index = 12)
    private String mnwtmpdt;

    private static final long serialVersionUID = 1L;
}