package com.ruoyi.swlscx.year.domain.po;


import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.format.DateTimeFormat;
import com.baomidou.mybatisplus.annotation.FieldStrategy;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 
 * @author 12974
 * @TableName hy_hmxp_f
 */
@TableName(value ="hy_hmxp_f")
@Data
public class HyHmxpF implements Serializable {
    /**
     * 站码
     */
    private String stcd;

    /**
     * 最大降水量时段长(小时)
     */
    @TableField(updateStrategy = FieldStrategy.IGNORED,insertStrategy =  FieldStrategy.IGNORED)
    private Integer mxpdr;

    /**
     * 年
     */
    @TableField(updateStrategy = FieldStrategy.IGNORED,insertStrategy =  FieldStrategy.IGNORED)
    private Integer yr;

    /**
     * 起时间
     */
    @TableField(updateStrategy = FieldStrategy.IGNORED,insertStrategy =  FieldStrategy.IGNORED)
    @DateTimeFormat("yyyy-MM-dd HH:mm:ss")
    private Date bgtm;

    /**
     * 最大降水量(毫米)
     */
    @TableField(updateStrategy = FieldStrategy.IGNORED,insertStrategy =  FieldStrategy.IGNORED)
    private BigDecimal mxp;

    /**
     * 最大降水量注解码
     */
    @TableField(updateStrategy = FieldStrategy.IGNORED,insertStrategy =  FieldStrategy.IGNORED)
    private String mxprc;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;


}