package com.ruoyi.swlscx.year.domain.po;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import lombok.Data;

/**
 * 时段最大洪量表
 * @TableName hy_imxfw_f
 */
@TableName(value ="hy_imxfw_f")
@Data
public class HyImxfwF implements Serializable {
    /**
     * 站码
     */
    private String stcd;

    /**
     * 最大洪量时段长
     */
    private String mxwdr;

    /**
     * 年
     */
    private Integer yr;

    /**
     * 起始日期
     */
    private Date bgdt;

    /**
     * 最大洪量
     */
    private BigDecimal mxw;

    /**
     * 最大洪量注解码
     */
    private String mxwrc;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}