package com.ruoyi.swlscx.year.domain.po;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import lombok.Data;

/**
 * 年水位表
 * @TableName hy_yrz_f
 */
@TableName(value ="hy_yrz_f")
@Data
public class HyYrzF implements Serializable {
    /**
     * 站码
     */
    private String stcd;

    /**
     * 年
     */
    private Integer yr;

    /**
     * 平均水位
     */
    private BigDecimal avz;

    /**
     * 平均水位注解码
     */
    private String avzrcd;

    /**
     * 最高水位
     */
    private BigDecimal htz;

    /**
     * 最高水位注解码
     */
    private String htzrcd;

    /**
     * 最高水位日期
     */
    private Date htzdt;

    /**
     * 最低水位
     */
    private BigDecimal mnz;

    /**
     * 最低水位注解码
     */
    private String mnzrcd;

    /**
     * 最低水位日期
     */
    private Date mnzdt;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}