package com.ruoyi.swlscx.year.domain.vo;


import com.alibaba.excel.annotation.format.DateTimeFormat;
import com.baomidou.mybatisplus.annotation.FieldStrategy;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 *
 * @author 12974
 * @TableName hy_hmxp_f
 */
@Data
public class HyHmxpFVo implements Serializable {
    /**
     * 站码
     */
    private String stcd;

    /**
     * 最大降水量时段长(小时)
     */
    private Integer mxpdr;

    /**
     * 年
     */
    private Integer yr;

    /**
     * 起时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private String bgtm;

    /**
     * 最大降水量(毫米)
     */
    private BigDecimal mxp;

    /**
     * 最大降水量注解码
     */
    private String mxprc;

    /**
     * 行政区划码
     */
    private String addvcd;

    /**
     * 流域水系码
     */
    private String lysxm;


    /**站名**/
    private String stnm;

    private static final long serialVersionUID = 1L;


}