package com.ruoyi.swlscx.year.domain.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 时段最大洪量表
 * @TableName hy_imxfw_f
 */
@Data
public class HyImxfwFVo implements Serializable {
    /**
     * 站码
     */
    private String stcd;

    /**
     * 最大洪量时段长
     */
    private String mxwdr;

    /**
     * 年
     */
    private Integer yr;

    /**
     * 起始日期
     */
    private String bgdt;

    /**
     * 最大洪量
     */
    private BigDecimal mxw;

    /**
     * 最大洪量注解码
     */
    private String mxwrc;

    /**
     * 行政区划码
     */
    private String addvcd;

    /**
     * 流域水系码
     */
    private String lysxm;


    /**站名**/
    private String stnm;


    private static final long serialVersionUID = 1L;
}