package com.ruoyi.swlscx.year.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.swlscx.year.domain.po.HyDmxpF;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.swlscx.year.domain.vo.HyDmxpFVo;
import org.apache.ibatis.annotations.Param;
import org.springframework.security.core.parameters.P;

import java.util.List;
import java.util.Map;

/**
* @author 12974
* @description 针对表【hy_dmxp_f(日时段最大降水量)】的数据库操作Mapper
* @createDate 2024-09-11 10:09:13
* @Entity com.ruoyi.swlscx.domain.year.po.HyDmxpF
*/
public interface HyDmxpFMapper extends BaseMapper<HyDmxpF> {

    IPage<HyDmxpFVo> selecthyDmxpFPageByInfo(Page<HyDmxpFVo> page,@Param("map") Map<String, Object> map);

    void deleteTempData();

    void insertTempData(@Param("list") List<HyDmxpF> batch);

    void mergeToData();
}




