package com.ruoyi.swlscx.year.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.swlscx.year.domain.po.HyImxfwF;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.swlscx.year.domain.vo.HyImxfwFVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
* @author 12974
* @description 针对表【hy_imxfw_f(时段最大洪量表)】的数据库操作Mapper
* @createDate 2024-09-09 17:32:19
* @Entity com.ruoyi.swlscx.domain.year.po.HyImxfwF
*/
@Mapper
public interface HyImxfwFMapper extends BaseMapper<HyImxfwF> {

    /**
     * 查询时段最大洪量表数据
     */
    IPage<HyImxfwFVo> selectHyImxfwFPageByInfo(Page<HyImxfwFVo> page,@Param("map") Map<String, Object> map);

    void deleteTempData();

    void insertTempData(List<HyImxfwF> batch);

    void mergeToData();
}




