package com.ruoyi.swlscx.year.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.swlscx.year.domain.po.HyYrtdzF;
import com.ruoyi.swlscx.year.domain.vo.HyYrtdzFVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
* @author 12974
* @description 针对表【hy_yrtdz_f(年潮位表)】的数据库操作Mapper
* @createDate 2024-09-05 16:53:36
* @Entity com.ruoyi.swlscx.domain.po.HyYrtdzF
*/
@Mapper
public interface HyYrtdzFMapper extends BaseMapper<HyYrtdzF> {

    IPage<HyYrtdzFVo> selectHyYrtdzFListPageByInfo(Page<HyYrtdzFVo> page,@Param("map") Map<String, Object> map);

    void deleteTempData();

    void insertTempData(@Param("list") List<HyYrtdzF> batch);

    void mergeToData();
}




