package com.ruoyi.swlscx.year.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.swlscx.year.domain.po.HyYrzF;
import com.ruoyi.swlscx.year.domain.vo.HyYrzFVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
* @author 12974
* @description 针对表【hy_yrz_f(年水位表)】的数据库操作Mapper
* @createDate 2024-09-05 16:53:36
* @Entity com.ruoyi.swlscx.domain.po.HyYrzF
*/
@Mapper
public interface HyYrzFMapper extends BaseMapper<HyYrzF> {

    IPage<HyYrzFVo> selectHyYrzFPageByInfo(Page<HyYrzFVo> page, @Param("map") Map<String, Object> map);

    void deleteTempData();

    void insertTempData(@Param("list") List<HyYrzF> batch);

    void mergeToData();
}




