package com.ruoyi.swlscx.year.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.common.core.page.R;
import com.ruoyi.swlscx.common.PageParams;
import com.ruoyi.swlscx.year.domain.po.HyYrtdzF;
import com.ruoyi.swlscx.year.domain.vo.HyYrtdzFVo;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;

/**
* @author 12974
* @description 针对表【hy_yrtdz_f(年潮位表)】的数据库操作Service
* @createDate 2024-09-05 16:53:36
*/
public interface HyYrtdzFService extends IService<HyYrtdzF> {
    /**
     * 导入年潮位表表
     */
    void  importHyMmxpFData(MultipartFile file);

    /**查询年潮位表数据*/
    IPage<HyYrtdzFVo> selectHyYrtdzFListPageByInfo(PageParams pageParams, String startTime, String endTime, String stcd, String stnm);

    /**
     * 导出年潮位表
     */
    R exportYearTideLeverList(HttpServletResponse response, String startTime, String endTime, String stcd, String stnm);

    R importDateTosoft(String startTime, String endTime);
}
